#!/usr/bin/env node

/**
 * Module dependencies.
 */
if (process.env.NODE_ENV !== 'production') {
  var longjohn = require('longjohn');
  longjohn.async_trace_limit = -1;
}

var app = require('../app');
const socket = require('socket.io');

var debug = require('debug')('sdp:server');
// var http = require('http');
var https = require('https');
var fs = require('fs');
var spawn = require('child_process').spawn;

/**
 * Get port from environment and store in Express.
 */

var port = normalizePort(process.env.PORT || '8080');
app.set('port', port);

/**
 * Create HTTPS server.
 */

// var server = http.createServer(app);
var server = https.Server(
  {
    //ca: fs.readFileSync(process.env.SSL_CA),
    key: fs.readFileSync(process.env.SSL_KEY),
    cert: fs.readFileSync(process.env.SSL_CERT)
    //passphrase: process.env.SSL_SECURITY_PHRASE,
    //ciphers: process.env.SSL_CIPHER_SUITE,
    //honorCipherOrder: process.env.SSL_HONOR_CIPHER_ORDER,
    //secureOptions: process.env.SSL_SECURE_OPTIONS

    // key: fs.readFileSync(__dirname + '/crypto/server-key.pem'),
    // cert: fs.readFileSync(__dirname + '/crypto/server-crt.pem'),
    // honorCipherOrder: true,
    // NPNProtocols: ['http/1.1', 'http/1.0'],
    // secureProtocol: 'TLSv1_2_method',
    // rejectUnauthorized: false
  },
  app
);

let x = process.cwd();
var cron = spawn(`node ${x}/bin/cron.js`, {
  shell: true,
  stdio: ['inherit', 'inherit', 'inherit', 'ipc']
});

// var cron = spawn('node /var/www/html/admin-gui/bin/cron.js', {
//   shell: true,
//   stdio: ['inherit', 'inherit', 'inherit', 'ipc']
// });

cron.on('exit', function(code) {
  console.log('CRON: Exiting with code ' + code);
});

app.set('cron', cron);

global.cron = cron;

/**
 * Listen on provided port, on all network interfaces.
 */

server.listen(port);
server.on('error', onError);
server.on('listening', onListening);

/**
 * Listening the SocketIO Server
 */

console.log('Lets see the connection');
const io = socket(server,{
    cors: { origin: '*' }
  });

/**
 * Normalize a port into a number, string, or false.
 */

function normalizePort(val) {
  var port = parseInt(val, 10);

  if (isNaN(port)) {
    // named pipe
    return val;
  }

  if (port >= 0) {
    // port number
    return port;
  }

  return false;
}

/**
 * Event listener for HTTP server "error" event.
 */

function onError(error) {
  if (error.syscall !== 'listen') {
    throw error;
  }

  var bind = typeof port === 'string' ? 'Pipe ' + port : 'Port ' + port;

  // handle specific listen errors with friendly messages
  switch (error.code) {
    case 'EACCES':
      console.error(bind + ' requires elevated privileges');
      process.exit(1);
      break;
    case 'EADDRINUSE':
      console.error(bind + ' is already in use');
      process.exit(1);
      break;
    default:
      throw error;
  }
}

/**
 * Event listener for HTTP server "listening" event.
 */

function onListening() {
  var addr = server.address();
  var bind = typeof addr === 'string' ? 'pipe ' + addr : 'port ' + addr.port;
  debug('Listening on ' + bind);
}

process.on('exit', () => cron.kill());
process.on('uncaughtException', err =>
  console.log(err && (err.message || err))
);

module.exports = { server, io };
