const {
  markersControllersCron,
  getOsCron,
  userServicesCron,
  userVolumesCron,
  serviceUsersCron,
  serviceVolumesCron,
  graphCron,
  getDeviceStatisticsCron,
  getClientsStatisticsCron
} = require('../dao/dashboard');

module.exports = {
  dashboardJob: async function(manualTrigger = false) {
    const startTime = Date.now();
    console.log(`----------DASBHBOARD JOB STARTED----------`);
    const currentTime = new Date().toLocaleString();
    console.log(`Start time: (${currentTime})`);

    await markersControllersCron();
    await getOsCron();
    await graphCron();
    await userServicesCron('month');
    await userServicesCron('week');
    await userServicesCron('year');
    await userVolumesCron('month');
    await userVolumesCron('week');
    await userVolumesCron('year');
    await serviceUsersCron('month');
    await serviceUsersCron('week');
    await serviceUsersCron('year');
    await serviceVolumesCron('month');
    await serviceVolumesCron('week');
    await serviceVolumesCron('year');
    await getDeviceStatisticsCron('month');
    await getDeviceStatisticsCron('days');
    await getDeviceStatisticsCron('year');
    await getClientsStatisticsCron('client');
    await getClientsStatisticsCron('service');

    const endTime = Date.now();
    const executionTime = endTime - startTime;
    console.log(`----------DASBHBOARD JOB COMPLETED----------`);
    console.log(`TOTAL EXECUTION TIME: ${executionTime}ms`);
  },
  schedule: function() {
    return new Promise(resolve => {
      global.cron.send({
        type: 'SCHEDULE',
        expression: `0 * * * *`,
        taskName: 'DASHBOARD_JOB',
        options: {
          scheduled: true
        }
      });

      resolve();
    });
  },
  destroy: function() {
    return new Promise(resolve => {
      global.cron.send({
        type: 'DESTROY',
        taskName: 'DASHBOARD_JOB'
      });
      resolve();
    });
  }
};
