const exec = require('child_process').exec;

const models = require('../models');

module.exports = function() {
  return models.Settings.findOne({
    limit: 1,
    order: [['id', 'DESC']]
  })
    .then(setting => {
      var timeToExpire = (setting && setting.package_link_expiry) || 60;
      console.log(
        '======DELETING FILES OLDER THAN ' + timeToExpire + ' MINUTES======'
      );

      return new Promise((resolve, reject) => {
        exec(
          `find /var/local/installers/client/output/*/** -mmin +${timeToExpire} -exec rm -rf "{}" +`,
          err => {
            if (
              err &&
              err.message.indexOf('No such file or directory') === -1
            ) {
              return reject(err);
            }

            resolve();
          }
        );
      });
    })
    .then(() => {
      console.log('Deleted Old Output Packages');
    })
    .catch(err => {
      console.log(err && (err.message || err));
    });
};
