const models = require('../models');
const {Op} = require('sequelize');

// 30 Days
const threshold = new Date(Date.now() - 30 * 24 * 60 * 60 * 1000);
// 1 Year
const thresholdYear = new Date(Date.now() - 365 * 24 * 60 * 60 * 1000);
/**
 *
 * @returns {Promise<void>}
 * Delete Devices Logs after a Year and Gateway and Controller Logs after 30 days
 */
module.exports = async function () {
    Promise.all([
        models.CountHistory.destroy({
            where: {
                createdAt: {
                    [Op.lt]: thresholdYear
                },
            }
        }),
        models.GatewayRuntimeHealths.destroy({
            where: {
                createdAt: {
                    [Op.lt]: threshold
                },
            }
        }),
        models.ControllerRuntimeHealths.destroy({
            where: {
                createdAt: {
                    [Op.lt]: threshold
                },
            }
        })


    ]).then(([IsDevicesLogsDeleted,IsGatewaysLogsDeleted, IsControllersLogsDeleted]) => {
        if (IsDevicesLogsDeleted === 1) {
            console.log('Device\'s logs has been deleted successfully');
        }
        if (IsGatewaysLogsDeleted === 1) {
            console.log('Gateway\'s logs has been deleted successfully');
        }
        if (IsControllersLogsDeleted === 1) {
            console.log('Controller\'s logs has been deleted successfully');
        }

    }).catch((error) => {
        console.error('Error Deleting Devices, Gateways and Controller Health logs')
    })
};
