const rateLimit = require('express-rate-limit')

module.exports = rateLimit({
    windowMs: 60 * 60 * 1000, // 24 hrs in milliseconds
    max: 5,
    message: 'You have exceeded the 5 requests in 1 hour limit!',
    standardHeaders: true,
    legacyHeaders: false,
    handler: (req, res, next, options) => {
        console.log(`Rate limit exceeded for IP: ${req.ip}`); // Log the IP address
        res.status(options.statusCode).send(options.message); // Respond with the rate limit message
    },
    onLimitReached: (req, res, options) => {
        console.log(`Rate limit reached for IP: ${req.ip}`); // Log the IP when the limit is reached
    },

});