const models = require('../models');
const httpErrors = require('http-errors');

module.exports = async (req, res, next) => {
  try {
    const license = await models.License.findOne({
      attributes: ['id', 's2s_microseg_feature'],
      order: [['id', 'DESC']],
      limit: 1
    });

    if(!license.dataValues.s2s_microseg_feature){
        throw new httpErrors.NotFound('S2S microsegmentation license not found');
    }

    next();
  } catch (error) {
    next(error);
  }
};
