'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  firstName: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  lastName: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  email: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  password: {
    type: Sequelize.STRING,
    allowNull: false
  },
  is_active: {
    type: Sequelize.BOOLEAN,
    defaultValue: true
  },
  is_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE,
    defaultValue: new Date()
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE,
    defaultValue: new Date()
  },
  reset_password_token:{
    type: Sequelize.STRING,
  },
  reset_password_expires:{
    type: Sequelize.DATE,
  },
  is_locked:{
    type: Sequelize.BOOLEAN,
    defaultValue: false,
    allowNull: true
  },
  wrong_login_attempts:{
    type: Sequelize.INTEGER,
    defaultValue: 0,
    allowNull: true
  },
  reset_password_time:{
    type: Sequelize.DATE,
    allowNull: true
  },
  email_verified:{
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  email_verification_link:{
    type: Sequelize.STRING,
    defaultValue: false
  },
  email_verification_link_expiry:{
    type: Sequelize.DATE
  },
  is_mfa_assigned:{
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  otp_image_data:{
    type: Sequelize.TEXT('long')
  },
  otp_secret:{
    type: Sequelize.STRING
  },
  questions_verified: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  recaptcha_verified: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Users', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Users');
  }
};
