'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  LDAP_url: {
    type: Sequelize.STRING,
    allowNull: false
  },
  LDAP_timeout: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  LDAP_connectTimeout: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  LDAP_reconnect: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  LDAP_user: {
    type: Sequelize.STRING,
    allowNull: false
  },
  LDAP_password: {
    type: Sequelize.STRING,
    allowNull: false
  },
  LDAP_dc: {
    type: Sequelize.STRING,
    defaultValue: true
  },
  is_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  LDAP_ca:{
    type:Sequelize.BLOB
  },
  LDAP_cert:{
    type:Sequelize.BLOB
  },
  LDAP_ca_name:{
    type: Sequelize.STRING
  },
  LDAP_cert_name:{
    type: Sequelize.STRING
  },
  LDAP_clients_dn:{
    type: Sequelize.STRING,
    defaultValue: ''
  },
  LDAP_groups_dn:{
    type: Sequelize.STRING,
    defaultValue: ''
  }

})

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Ldaps', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Ldaps');
  }
};
