'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  Name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  port: {
    type: Sequelize.STRING,
    allowNull: false
  },
  protocol: {
    type: Sequelize.STRING,
    defaultValue: false
  },
  service_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  is_active: {
    type: Sequelize.BOOLEAN,
    defaultValue: true
  },
  ipv4_address: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  type: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  dummy_port: {
    type: Sequelize.STRING,
    allowNull: false
  },
  is_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  mappedurl:{
    type: Sequelize.STRING,
    allowNull: true,
    defaultValue: 'None' 
  },
  url:{
    type: Sequelize.STRING
  },
  isGateWayAssigned:{
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  isClientAssigned:{
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  is_persistent:{
    defaultValue: false,
    type: Sequelize.BOOLEAN
  },
  proxy_enabled:{
    type: Sequelize.BOOLEAN,
    allowNull: false,
    defaultValue: false
  }

});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Services', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Services');
  }
};
