'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  Name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  controller_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  ipv4_address: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  protocol: {
    type: Sequelize.STRING(50)
  },
  port: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  is_active: {
    type: Sequelize.BOOLEAN,
    defaultValue: true
  },
  enc_key: {
    type: Sequelize.STRING,
    allowNull: false
  },
  HMacKey: {
    type: Sequelize.STRING,
    allowNull: false
  },
  is_deleted: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  email:{
    type: Sequelize.STRING(50)
  },
  device_os:{
    type: Sequelize.STRING
  },
  device_hardware_id:{
    type: Sequelize.STRING
  },
  cacert:{
    type:Sequelize.BLOB('medium')
  },
  clientcrt:{
    type:Sequelize.BLOB('medium')
  },
  clientpem:{
    type:Sequelize.BLOB('medium')
  },
  public_ipv4_address:{
    type: Sequelize.STRING(50)
  },
  public_ipv4_port:{
    type: Sequelize.INTEGER
  },
  spa_port:{
    type: Sequelize.INTEGER
  },
  link_key:{
    type: Sequelize.STRING
  },
  link_key_expiry:{
    type: Sequelize.DATE
  },
  heart_beat:{
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  heart_beat_sent_at:{
    type: Sequelize.DATE
  },
  installer_status:{
    type: Sequelize.STRING(50),
    allowNull: true,
    defaultValue: 'new'
  },
  onPrenDownloadLink:{
    type: Sequelize.STRING,
    defaultValue: 'N/A'
  },
  isDownloadPackage:{
    type: Sequelize.BOOLEAN,
    allowNull: true,
    defaultValue: false
  },
  packageDownloaded:{
    type: Sequelize.BOOLEAN,
    allowNull: true,
    defaultValue: false
  },
  connected_clients:{
    defaultValue:0,
    type: Sequelize.INTEGER
  },
  pkg_url:{
    type: Sequelize.STRING
  },
  onboarding_url: {
    type: Sequelize.STRING,
    allowNull: true
  },
  onboarding_port: {
    type: Sequelize.INTEGER,
  },
  mfa_server_port: {
    type: Sequelize.INTEGER,
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Controllers', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Controllers');
  }
};
