'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('Updates', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      buildOs: {
        type: Sequelize.ENUM('Ubuntu', 'Windows10', 'Macintosh', 'Windows11',),
        allowNull: false
      },
      buildVersion: {
        type: Sequelize.STRING,
        allowNull: false
      },
      buildComponent: {
        type: Sequelize.ENUM('client', 'controller', 'gateway'),
        allowNull: false
      },
      description: {
        type: Sequelize.STRING,
        allowNull: false
      },
      buildPath: {
        type: Sequelize.STRING,
        allowNull: false
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('NOW()')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('NOW()')
      },
      isDeleted: {
        allowNull: false,
        type: Sequelize.BOOLEAN,
        defaultValue: false
      },
      is_settings_changed:{
        type: Sequelize.BOOLEAN,
        allowNull: true,
        defaultValue: false
      },
      buildFileSignature:{
        type: Sequelize.TEXT,
        defaultValue: null
      },
      buildFileHash:{
        type: Sequelize.STRING,
        defaultValue: null
      }
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('Updates');
  }
};
