'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};

_.assign(schema, common, {
  AGENT_ID: {
    type: Sequelize.INTEGER
  },
  CONNECTION_ATTEMPT_TIME: {
    allowNull: false,
    type: Sequelize.DATE
  },
  DISCONNECTION_TIME: {
    type: Sequelize.DATE
  },
  SESSION_ID: {
    allowNull: false,
    type: Sequelize.STRING
  },
  DATE_CREATED: {
    allowNull: false,
    type: Sequelize.DATE
  },
  DATE_MODIFIED: {
    type: Sequelize.DATE
  },
  is_login_successfull:{
    type: Sequelize.BOOLEAN
  },
  is_logout_successfull:{
    type: Sequelize.BOOLEAN
  },
  ipv4_address:{
    type: Sequelize.STRING(50),
    allowNull: true
  },
  client_name:{
    defaultValue: '',
    type: Sequelize.STRING(50)
  },
  client_userName:{
    defaultValue: '',
    type: Sequelize.STRING(50)
  },
  client_device_os:{
    defaultValue: '',
    type: Sequelize.STRING
  },
  client_geoip_track:{
    defaultValue: false,
    type: Sequelize.BOOLEAN
  },
  location:{
    defaultValue: null,
    type: Sequelize.STRING(100)
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Connections', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Connections');
  }
};
