'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.changeColumn('Updates', 'buildOs', {
        type: Sequelize.ENUM('ubuntu', 'windows10', 'windows11', 'windows', 'macintosh'),
        allowNull: false,
        defaultValue: 'ubuntu'
      }),
      queryInterface.sequelize.query(
        'update Updates set buildOs = "windows" where buildOs = "windows10";'
      ),
      queryInterface.sequelize.query(
        'update Clients set device_os = "windows" where device_os = "windows10";'
      )
    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        'update Updates set buildOs = "windows10" where buildOs = "windows";'
      ),
      queryInterface.sequelize.query(
        'update Clients set device_os = "windows10" where device_os = "windows";'
      )
    ]);
  }
};
