'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  clientId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  serviceId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  months: {
    type: Sequelize.STRING(50)
  },
  week_days: {
    type: Sequelize.STRING(50)
  },
  access_time_from_hour: {
    type: Sequelize.STRING(50)
  },
  access_time_to_hour: {
    type: Sequelize.STRING(50)
  },
  access_time_from_minute: {
    type: Sequelize.STRING(50)
  },
  access_time_to_minute: {
    type: Sequelize.STRING(50)
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('ClientAccessRestrictions', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('ClientAccessRestrictions');
  }
};
