'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  token: {
    type: Sequelize.STRING,
    allowNull: false
  },
  data: {
    type: Sequelize.STRING(4000),
    allowNull: false
  },
  relay: {
    type: Sequelize.STRING(4000),
    allowNull: false
  },
  access_time_in_minutes: {
    type: Sequelize.STRING(50)
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  is_used:{
    type: Sequelize.BOOLEAN,
    allowNull: true,
    defaultValue: false
  }
});
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Gauths', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Gauths');
  }
};
