'use strict';
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('GlobalIps', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      address: {
        type: Sequelize.STRING(100),
        allowNull: false
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      port: {
        type: Sequelize.STRING(50),
        defaultValue: 'N/A'
      },
      protocol: {
        type: Sequelize.STRING(50),
        defaultValue: 'N/A'
      },
      label: {
        type: Sequelize.STRING(50),
        defaultValue: 'N/A'
      },
      direction: {
        type: Sequelize.INTEGER,
        defaultValue: 0
      },
      clientId: {
        type: Sequelize.INTEGER,
        defaultValue: 0
      },
      parentId: { 
        type: Sequelize.INTEGER
      },
      parentType: {
        type: Sequelize.STRING(50)
      }
      
    });
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('GlobalIps');
  }
};
