'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  clientId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  groupId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  cn: {
    type: Sequelize.STRING,
    allowNull: true
  },
  member: {
    type: Sequelize.STRING,
    allowNull: true
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('GroupClients', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('GroupClients');
  }
};
