'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('LocalUsers', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      name: {
        type: Sequelize.STRING(50)
      },
      userName: {
        type: Sequelize.STRING(50)
      },
      email: {
        type: Sequelize.STRING(50)
      },
      password: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      link_expiry:{
        type: Sequelize.DATE
      },
      is_used: {
        type: Sequelize.BOOLEAN,
        defaultValue: false
      },
      link_key: {
        type: Sequelize.STRING
      },
      change_pass: {
        type: Sequelize.BOOLEAN,
        allowNull: false,
        defaultValue: false
      },
      password_updated_at: {
        type: Sequelize.DATE
      },
      temporary_password_expiry: {
        type: Sequelize.DATE
      },
      identity_provider: {
        type: Sequelize.STRING(50),
        defaultValue: 'Local User'
      },
      department: {
        type: Sequelize.STRING(50)
      },
      client_mfa: {
        type: Sequelize.BOOLEAN,
        defaultValue: 0
      },
      linOTP_token: {
        type:Sequelize.JSON
      },
      OTP_image_data:{
        type:Sequelize.TEXT('long')
      }, 
      biometric_state: {
        type: Sequelize.BOOLEAN,
        defaultValue: false
      },
      is_strong_mfa: {
        type: Sequelize.BOOLEAN,
        defaultValue: 0
      },
      mfa_status: {
        type: Sequelize.STRING(50),
        defaultValue: 'unregistered'
      },
      risk_score: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
      },
      contact: {
        type: Sequelize.STRING(50)
      }

    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('LocalUsers');
  }
};