'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ControllerHealths', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      controllerId: {
        type: Sequelize.INTEGER,
        references: {
          model: 'Controllers',
          key: 'id'
        },
        onDelete: 'CASCADE'
      },
      OS: {
        type: Sequelize.STRING
      },
      CPU: {
        type: Sequelize.STRING
      },
      memTotal: {
        type: Sequelize.INTEGER
      },
      memFree: {
        type: Sequelize.INTEGER
      },
      storageTotal: {
        type: Sequelize.INTEGER
      },
      storageFree: {
        type: Sequelize.INTEGER
      },
      cpuUtilization: {
        type: Sequelize.FLOAT
      },
      mainProcessCPUUtilization: {
        type: Sequelize.FLOAT
      },
      snifferProcessCPUUtilization: {
        type: Sequelize.FLOAT
      },
      lastErrorLog: {
        type: Sequelize.STRING
      },
      snifferLastErrorLog: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      componentVersion: {
        defaultValue: null,
        type: Sequelize.STRING
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('ControllerHealths');
  }
};
