'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('GatewayHealths', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      gatewayId: {
        type: Sequelize.INTEGER,
        references: {
          model: 'Gateways',
          key: 'id'
        },
        onDelete: 'CASCADE'
      },
      OS: {
        type: Sequelize.STRING
      },
      CPU: {
        type: Sequelize.STRING
      },
      memTotal: {
        type: Sequelize.INTEGER
      },
      memFree: {
        type: Sequelize.INTEGER
      },
      storageTotal: {
        type: Sequelize.INTEGER
      },
      storageFree: {
        type: Sequelize.INTEGER
      },
      cpuUtilization: {
        type: Sequelize.FLOAT
      },
      mainProcessCPUUtilization: {
        type: Sequelize.FLOAT
      },
      snifferProcessCPUUtilization: {
        type: Sequelize.FLOAT
      },
      lastErrorLog: {
        type: Sequelize.STRING
      },
      snifferLastErrorLog: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.fn('now')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.fn('now')
      },
      componentVersion: {
        defaultValue: null,
        type: Sequelize.STRING(50)
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('GatewayHealths');
  }
};
