'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY client_physical_ip INTEGER UNSIGNED;'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY client_pseudo_ip INTEGER UNSIGNED;'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY service_physical_ip INTEGER UNSIGNED;'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY service_pseudo_ip INTEGER UNSIGNED;'
      ),
      queryInterface.addColumn('ServiceAccessLogs', 'log_start_time', {
        type: Sequelize.INTEGER.UNSIGNED
      }).catch((err) => {
        if(err.original.code === 'ER_DUP_FIELDNAME') {
          return Promise.resolve()
        }
        else 
          return Promise.reject(err);
      }),
      queryInterface.addColumn('ServiceAccessLogs', 'log_end_time', {
        type: Sequelize.INTEGER.UNSIGNED
      }).catch(err => {
        if(err.original.code === 'ER_DUP_FIELDNAME') {
          return Promise.resolve()
        }
        else 
          return Promise.reject(err);
      })
    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY client_physical_ip varchar(255);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY client_pseudo_ip varchar(255);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY service_physical_ip varchar(255);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ServiceAccessLogs MODIFY service_pseudo_ip varchar(255);'
      )
    ]);
  }
};
