'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('DevicePolicies', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },

        antivirus: {
          type: Sequelize.STRING
        },
        is_epp_client: {
          type: Sequelize.BOOLEAN,
          defaultValue: false
        },
        is_blocked: {
          type: Sequelize.BOOLEAN,
          defaultValue: true,
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue: Sequelize.fn('now')
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue: Sequelize.fn('now')
        },
        is_enabled: {
          type: Sequelize.BOOLEAN,
          defaultValue: true
        },
        risk_score_threshold: {
          type: Sequelize.INTEGER,
          allowNull: false,
          defaultValue: 1
        }
      })
    ])
  },
  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('DevicePolicies'),
    ])
  }
};
