'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ServerBridges', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      name: {
        type: Sequelize.STRING(50)
      },
      clientId:{
        type:Sequelize.INTEGER,
        references:{
          model:'Clients',
          key:'id'
        },
        onDelete:'CASCADE'
      },
      isEnable:{
        type:Sequelize.BOOLEAN,
        defaultValue:true
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('now')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('now')
      },
      email_token: {
        type: Sequelize.STRING
      },
      email_token_expiry: {
        type: Sequelize.DATE
      },
      email_token_used: {
        type: Sequelize.BOOLEAN,
        defaultValue: false
      },
      type: {
        type: Sequelize.STRING(50),
        defaultValue: 'server-bridge'
      },
      device_id: {
        type: Sequelize.INTEGER,
        references: {
          model: 'DeviceInventories',
          key: 'id'
        },
        onDelete: 'SET NULL'
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('ServerBridges');
  }
};