'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ServerBridgeDeviceIds', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      serverBridgeId: {
        type: Sequelize.INTEGER,
        references:{
          model:'ServerBridges',
          key:'id'
        },
        onDelete:'CASCADE'
      },
      deviceId:{
        type:Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('now')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn('now')
      },
      device_id: {
        type: Sequelize.INTEGER,
        references: {
          model: 'DeviceInventories',
          key: 'id'
        },
        onDelete: 'cascade'
      },
      client_id: {
        type: Sequelize.INTEGER,
        references: {
          model: 'Clients',
          key: 'id'
        },
        onDelete: 'cascade'
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('ServerBridgeDeviceIds');
  }
};