'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.query('SELECT op.id,op.os from OsPolicies op;',{
      type: queryInterface.sequelize.QueryTypes.SELECT
    }).then((result) => {
      let osHashMap = {
        ubuntu18: 'Ubuntu 18 Desktop',
        ubuntuserver18:'Ubuntu 18 Server',
        macintosh:'Macintosh',
        windows:'Windows',
        ubuntu:'Ubuntu 16 Desktop',
        ubuntuserver:'Ubuntu 16 Server',
        windowsserver:'Windows Server',
        ios:'iOS',
        android:'Android'
      };
      const promises = result.map((os) => {
        const query = `Update OsPolicies os set os.os_display_name = '${osHashMap[os.os]}' where id = ${os.id};`;
        return queryInterface.sequelize.query(query);
      });
      return Promise.all(promises);
    })
  },

  down: (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};
