'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('ComponentRoles', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      role: {
        type: Sequelize.STRING(50)
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn("NOW")
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue:Sequelize.fn("NOW")
      }
    }).then(() => {
      return queryInterface.sequelize.query(`Insert into ComponentRoles(role) values ('Primary'), ('Secondary')`);
    }).then(() => {
      return queryInterface.addColumn('Controllers','roleId',{
        type:Sequelize.INTEGER,
        references:{
          model:'ComponentRoles',
          key:'id'
        },
        onDelete:'CASCADE'
      });
    }).then(() => {
      return queryInterface.sequelize.query(`Update Controllers c set c.roleId = (Select crs.id from ComponentRoles crs where crs.role = 'Primary' limit 1) order by id ASC limit 1;`,{
        type: Sequelize.QueryTypes.UPDATE,
      })
    })
  },
  down: (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};