'use strict';

const { generateKeyValuePair } = require('../utils/common');

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction()
    .then((transaction) => {
      return Promise.all([
        queryInterface.addColumn('Users','public_key',{
          type:Sequelize.TEXT
        }, { transaction }),
        queryInterface.addColumn('Users','secret_key',{
          type:Sequelize.TEXT
        }, { transaction }),
      ]).then(() => {
        return queryInterface.sequelize.query('SELECT id from Users where is_deleted = 0',{ type: queryInterface.sequelize.QueryTypes.SELECT}).map(({id}) => id);
      }).then((userIds) => {
        return Promise.all(
          userIds.map(async (id) => {
            const { publicKey, privateKey } = await generateKeyValuePair();
            return queryInterface.sequelize.query(`Update Users set public_key='${publicKey}',secret_key='${privateKey}' where id = ${id}`);
          })
        );
      })
      .then(_ => transaction.commit(),error => {
        return transaction.rollback().then(_ => {throw error});
      })
    })
    .catch(error => {
      return Promise.resolve();
    });
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('Users','public_key'),
      queryInterface.removeColumn('Users','secret_key'),
    ]);
  }
};
