'use strict';
const crypto = require('crypto');
module.exports = {
  up: async (queryInterface, Sequelize) => {

    if(!process.env.LOCAL_USER || !process.env.LOCAL_PASSWORD) {
      throw new Error('Local user credentials is missing.');
    }

    const hashPassword = await crypto.createHash('sha256').update(process.env.LOCAL_PASSWORD).digest('hex');
    
    await queryInterface.sequelize.query(`
      INSERT INTO \`LocalUsers\` (\`name\`, \`email\`, \`userName\`, \`password\`, \`createdAt\`, \`updatedAt\`)
      SELECT * FROM (
        SELECT 
          'Gateway User',
          '${process.env.LOCAL_USER + '_invisily@local.com'}',
          '${process.env.LOCAL_USER}',
          '${hashPassword}',
          NOW() as \`createdAt\`,
          NOW() as \`updatedAt\`
      ) AS tmp
      WHERE NOT EXISTS (
          SELECT \`userName\` FROM \`LocalUsers\` WHERE \`userName\` = '${process.env.LOCAL_USER}'
      ) LIMIT 1;
    `)

    // const [count] = await queryInterface.sequelize.query(`
    //     SELECT COUNT(*) as exist FROM \`GatewayGroups\` where \`all_gateways\` = true
    // `, { type: queryInterface.sequelize.QueryTypes.SELECT })

    // if(count.exist) {
    //   return;
    // }

    return queryInterface.sequelize.query(`
      UPDATE \`Gateways\` SET \`gateway_group_id\` = 1 where \`gateway_group_id\` IS NULL
    `);
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};
