'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('GatewayGroupPivots', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        gateway_id: {
          type: Sequelize.INTEGER,
          references: {
            model: 'Gateways',
            key: 'id'
          },
          onDelete: 'cascade'
        },
        gateway_group_id: {
          type: Sequelize.INTEGER,
          references: {
            model: 'GatewayGroups',
            key: 'id'
          },
          onDelete: 'cascade'
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE
        }
      })

    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('GatewayGroupPivots')
    ]);
  }
};
