'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  organization_id: {
    type: Sequelize.INTEGER,
    allowNull: false,
    references: {
      model: 'Organizations',
      key: 'id'
    },
  },
  createdAt: {
    type: Sequelize.DATE
  },
  updatedAt: {
    type: Sequelize.DATE
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Departments', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Departments');
  }
};