'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        UPDATE Clients c 
        INNER JOIN LocalUsers u ON c.Email = u.email
        SET 
          c.user_id = u.id,
          c.device_id = c.id + 1000
        WHERE c.Email IS NOT NULL AND c.user_id IS NULL
      `),
      queryInterface.sequelize.query(`
        INSERT INTO DeviceInventories (
          userName, createdAt, updatedAt, 
          device_name, user_id, has_agent, 
          darkening_state, os, os_version, 
          risk_score, geoip_track, id
        )
        SELECT 
          \`user\`, UTC_TIMESTAMP(), UTC_TIMESTAMP(), 
          Name, user_id, 1, 
          client_darkening, device_os, client_os_version, 
          risk_score, geoip_track, device_id
        FROM Clients
        WHERE Name NOT LIKE '%}@{%'
        AND Email IS NOT NULL
      `),
      queryInterface.sequelize.query(`
        UPDATE Clients c INNER JOIN DeviceInventories d
        ON c.Name = d.device_name
        SET c.device_id = d.id
        WHERE c.Name NOT LIKE '%}@{%' AND c.Email IS NOT NULL
      `)
    ]);
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.resolve()
  }
};
