'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('ActiveAddressSpaceConfigs', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        active_class: {
          type: Sequelize.INTEGER
        },
        required_gateways: {
          type: Sequelize.INTEGER
        },
        supported_gateways: {
          type: Sequelize.INTEGER
        },
        dedicated_gateway_bits: {
          type: Sequelize.INTEGER
        },
        total_subnet_bits: {
          type: Sequelize.INTEGER
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE
        }
      }),
      queryInterface.createTable('AddressClasses', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        class_name: {
          type: Sequelize.STRING(50)
        },
        start_ip: {
          type: Sequelize.STRING(50)
        },
        end_ip: {
          type: Sequelize.STRING(50)
        },
        ip_count: {
          type: Sequelize.INTEGER(50)
        },
        net_mask_bits: {
          type: Sequelize.INTEGER
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE
        }
      }),
      queryInterface.createTable('GatewaySubnetIPLists', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        subnet_ip: {
          type: Sequelize.STRING(50)
        },
        excluded: {
          type: Sequelize.BOOLEAN
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE
        }
      }),
      queryInterface.addColumn('Gateways', 'is_unique', Sequelize.BOOLEAN),
      queryInterface.addColumn('Gateways', 'subnet_ip', Sequelize.STRING)
    ]);
  },
  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('ActiveAddressSpaceConfigs'),
      queryInterface.dropTable('AddressClasses'),
      queryInterface.dropTable('GatewaySubnetIPLists'),
      queryInterface.removeColumn('Gateways', 'is_unique'),
      queryInterface.removeColumn('Gateways', 'subnet_ip')
    ]);
  }
};
