'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.bulkInsert(
        'AddressClasses',
        [
          {
            class_name: 'Class A',
            start_ip: '10.0.0.0',
            end_ip: '10.255.255.255',
            ip_count: 16777216,
            net_mask_bits: 8,
            createdAt: new Date(),
            updatedAt: new Date()
          },
          {
            class_name: 'Class B',
            start_ip: '172.16.0.0',
            end_ip: '172.31.255.255',
            ip_count: 1048576,
            net_mask_bits: 12,
            createdAt: new Date(),
            updatedAt: new Date()
          }
        ], {}
      ),
      queryInterface.sequelize.query(
        'UPDATE Gateways SET is_unique = 1;'
      )
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    done();
  }
};
