'use strict';
var _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, {
  software_name: {
    type: Sequelize.STRING,
    allowNull: true
  },
  software_version: {
    type: Sequelize.STRING,
    allowNull: true
  },
  software_publisher: {
    type: Sequelize.STRING,
    allowNull: true
  },
  os: {
    type: Sequelize.STRING,
    allowNull: true
  },
  os_version: {
    type: Sequelize.STRING,
    allowNull: true
  },
  os_comments: {
    type: Sequelize.STRING,
    allowNull: true
  },
  manually_added: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('SoftwareMasterLists', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('SoftwareMasterLists');
  }
};