'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  grace_period: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  all_clients: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  all_services: {
    type: Sequelize.BOOLEAN,
    defaultValue: false
  },
  block_services:{
    type: Sequelize.BOOLEAN,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('SoftwarePolicies', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('SoftwarePolicies');
  }
};