'use strict';
var Sequelize = require('sequelize'),
_ = require('lodash');
var schema = {};
_.assign(schema, {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  device_id: {
    type: Sequelize.STRING,
    allowNull: true
  },
  software_name: {
    type: Sequelize.STRING,
    allowNull: true
  },
  software_version: {
    type: Sequelize.STRING,
    allowNull: true
  },
  software_publisher: {
    type: Sequelize.STRING,
    allowNull: true
  },
  client_id: {
    type: Sequelize.INTEGER,
    allowNull: true
  },
  client_name: {
    type: Sequelize.STRING(50),
    allowNull: true
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('ForbiddenSoftwareLists', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('ForbiddenSoftwareLists');
  }
};