'use strict';
let _ = require('lodash'),
Sequelize = require('sequelize');
var schema = {};
_.assign(schema, {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  binding_name: {
    type: Sequelize.STRING,
    allowNull: false
  },
  software: {
    type: Sequelize.STRING,
    allowNull: false
  },
  os: {
    type: Sequelize.STRING,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('SoftwareInstances', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('SoftwareInstances');
  }
};