'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('Questions', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        question: {
          allowNull: false,
          type: Sequelize.STRING
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue: Sequelize.literal('NOW()')
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE,
          defaultValue: Sequelize.literal('NOW()')
        }
      }),
      queryInterface.addColumn('Users', 'question_1_id', {
        type: Sequelize.INTEGER
      }),
      queryInterface.addColumn('Users', 'answer_1', {
        type: Sequelize.STRING
      }),
      queryInterface.addColumn('Users', 'question_2_id', {
        type: Sequelize.INTEGER
      }),
      queryInterface.addColumn('Users', 'answer_2', {
        type: Sequelize.STRING
      }),
      queryInterface.addColumn('Users', 'question_3_id', {
        type: Sequelize.INTEGER
      }),
      queryInterface.addColumn('Users', 'answer_3', {
        type: Sequelize.STRING
      }),
      queryInterface.addColumn('Users', 'is_locked_auto', {
        type: Sequelize.BOOLEAN,
        defaultValue: false
      })
    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('Questions'),
      queryInterface.removeColumn('Users', 'question_1_id'),
      queryInterface.removeColumn('Users', 'answer_1'),
      queryInterface.removeColumn('Users', 'question_2_id'),
      queryInterface.removeColumn('Users', 'answer_2'),
      queryInterface.removeColumn('Users', 'question_3_id'),
      queryInterface.removeColumn('Users', 'answer_3'),
      queryInterface.removeColumn('Users', 'is_locked_auto')
    ]);
  }
};
