'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        ALTER TABLE SoftwareMasterLists 
        ADD INDEX tuple_index (software_name, software_version, software_publisher)
      `),
      queryInterface.sequelize.query(`
        ALTER TABLE DeviceInventories 
        ADD INDEX device_id_index (device_id)
      `)
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        ALTER TABLE SoftwareMasterLists 
        DROP INDEX tuple_index 
      `),
      queryInterface.sequelize.query(`
        ALTER TABLE DeviceInventories 
        DROP INDEX device_id_index
      `)
    ]);
  }
};