'use strict';

module.exports = {
    up: async (queryInterface, Sequelize) => {
        const tableName = 'Users';

        return queryInterface.describeTable(tableName).then(tableDefinition => {
            if (tableDefinition.recaptcha_verified) {
                return Promise.resolve();
            }
            return queryInterface.addColumn(tableName, 'recaptcha_verified', {
                type: Sequelize.BOOLEAN,
                defaultValue: false
            });
        });

    },

    down: async (queryInterface, Sequelize) => {
        return queryInterface.removeColumn('Users', 'recaptcha_verified');
    }
};
