'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const columnsToAdd = [];
    const table = await queryInterface.describeTable('ClientSettings');
    if(!table.android_link) {
      columnsToAdd.push(queryInterface.addColumn('ClientSettings', 'android_link', {
        type: Sequelize.TEXT
      }))
    } 
    if(!table.ios_link) {
      columnsToAdd.push(queryInterface.addColumn('ClientSettings', 'ios_link', {
        type: Sequelize.TEXT
      }))
    } 
    return Promise.all(columnsToAdd)
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('ClientSettings','android_link'),
      queryInterface.removeColumn('ClientSettings','ios_link'),
    ])
  }
};
