'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction((t) => {
      return Promise.all([
        queryInterface.addColumn('Workloads', 's2s_mode', {
          allowNull: true,
          defaultValue: null,
          type: Sequelize.ENUM('discovery', 'spa'),
        }, { transaction: t }),
        queryInterface.addColumn('Workloads', 'discovery_duration', {
          allowNull: false,
          defaultValue: 60,
          type: Sequelize.INTEGER
        }, { transaction: t }),
        queryInterface.addColumn('Workloads', 'discovery_threshold', {
          allowNull: false,
          defaultValue: 100,
          type: Sequelize.INTEGER
        }, { transaction: t }),
        
      ])
    })
  },

  down: async (queryInterface) => {
      return Promise.all([
        queryInterface.removeColumn('Workloads', 's2s_mode'),
        queryInterface.removeColumn('Workloads', 'discovery_duration'),
        queryInterface.removeColumn('Workloads', 'discovery_threshold')
      ])
  }
};
