'use strict';
let _ = require('lodash'),
Sequelize = require('sequelize');
var schema = {};
_.assign(schema, {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  source_ip: {
    type: Sequelize.STRING,
    allowNull: false
  },
  destination_ip: {
    type: Sequelize.STRING,
    allowNull: false
  },
  destination_port: {
    type: Sequelize.STRING,
    allowNull: false
  },
  protocol:{
    type: Sequelize.STRING,
    allowNull: false
  },
  client_id:{
    type: Sequelize.INTEGER,
    allowNull:false
  },
  allowed_comm:{
    type: Sequelize.BOOLEAN,
    allowNull: false,
    defaultValue: true
  },
  deviceId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  workloadId: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE,
    defaultValue: new Date()
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE,
    defaultValue: new Date()
  }
});
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('S2sDiscoveryData', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('S2sDiscoveryData');
  }
};