'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        UPDATE ClientSettings
        SET process_reporting_interval = 30;
      `),
      queryInterface.sequelize.query(`
        UPDATE Settings
        SET device_validation_freq = 300;
      `),
      queryInterface.sequelize.query(`
        SELECT CONSTRAINT_NAME 
        FROM information_schema.REFERENTIAL_CONSTRAINTS 
        WHERE CONSTRAINT_NAME = 'FK_LogUser';
      `)
        .then(constraintName => {
          if(constraintName[0] && constraintName[0].length == 1) {
            queryInterface.sequelize.query(`
              ALTER TABLE AdminAccessLogs DROP FOREIGN KEY FK_LogUser;
            `)
          }
        })
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    return Promise.resolve()
  }
};