'use strict';

module.exports = {
  async up (queryInterface, Sequelize) {
    const tableName = 'Settings'; 
    return queryInterface.sequelize.transaction((transaction) => {
       return Promise.all([
           queryInterface.addColumn(tableName,'profiling_server_host',{
            type:Sequelize.STRING
           },{ transaction }),
           queryInterface.addColumn(tableName,'profiling_server_port',{
            type:Sequelize.INTEGER
           },{ transaction }),
           queryInterface.addColumn(tableName,'profiling_server_protocol',{
            type:Sequelize.STRING
           },{ transaction }),
           queryInterface.addColumn(tableName,'profiling_enabled',{
            type:Sequelize.BOOLEAN,
            defaultValue:false
           },{ transaction })
       ]);
    })
  },

  async down (queryInterface) {
    const tableName = 'Settings';
    return  Promise.all([
      queryInterface.removeColumn(tableName, 'profiling_server_host'),
      queryInterface.removeColumn(tableName, 'profiling_server_port'),
      queryInterface.removeColumn(tableName, 'profiling_server_protocol'),
      queryInterface.removeColumn(tableName, 'profiling_enabled')
    ])    
  }
};
