'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.createTable('UserGroupPolicies', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER,
      },
      policy_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      policy_type_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      user_group_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
        references: {
          model: 'CustomUserGroups',
          key: 'id',
        },
      },
      user_group_type: {
        type: Sequelize.STRING(100),
        allowNull: true,
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP'),
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP'),
      },
    });

    await queryInterface.addConstraint('UserGroupPolicies', {
      fields: ['user_group_id'],
      type: 'foreign key',
      name: 'user_group_policies_custom_user_groups_fk',
      references: {
        table: 'CustomUserGroups',
        field: 'id',
      },
      onDelete: 'SET NULL',
      onUpdate: 'CASCADE',
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeConstraint('UserGroupPolicies', 'user_group_policies_custom_user_groups_fk');
    await queryInterface.dropTable('UserGroupPolicies');
  },
};
