'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.createTable('CustomUserGroupsDetail', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER,
      },
      group_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        references: {
          model: 'CustomUserGroups',
          key: 'id',
        },
      },
      label_name: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      label_value: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
      },
    });

    await queryInterface.addConstraint('CustomUserGroupsDetail', {
      fields: ['group_id'],
      type: 'foreign key',
      name: 'custom_user_groups_detail_custom_user_groups_fk',
      references: {
        table: 'CustomUserGroups',
        field: 'id',
      },
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeConstraint('CustomUserGroupsDetail', 'custom_user_groups_detail_custom_user_groups_fk');
    await queryInterface.dropTable('CustomUserGroupsDetail');
  },
};
