'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `DELETE UserPolicies
      FROM UserPolicies
      LEFT JOIN Entitlements ON Entitlements.id = UserPolicies.policy_id
      WHERE UserPolicies.policy_type_id = 1 AND Entitlements.name IS NULL`
    );
    await queryInterface.sequelize.query(
      `DELETE ClientPolicies
      FROM ClientPolicies
      LEFT JOIN Entitlements ON Entitlements.id = ClientPolicies.policy_id
      WHERE ClientPolicies.policy_type_id = 1 AND Entitlements.name IS NULL`
    );
    await queryInterface.sequelize.query(
      `DELETE userGroupPolicies
      FROM UserGroupPolicies userGroupPolicies
      LEFT JOIN Entitlements entitlements ON entitlements.id = userGroupPolicies.policy_id
      WHERE userGroupPolicies.policy_type_id = 1 AND entitlements.name IS NULL`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM ClientGroupPolicies clientGroupPolicies
      LEFT JOIN Entitlements entitlements ON entitlements.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 1 AND entitlements.name IS NULL`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM \`Groups\` clientGroups
      LEFT JOIN GroupClients groupClients ON groupClients.groupId = clientGroups.id
      LEFT JOIN ClientGroupPolicies clientGroupPolicies ON clientGroupPolicies.client_group_id = clientGroups.id
      LEFT JOIN Entitlements entitlements ON entitlements.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 1 AND entitlements.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userPolicies
      FROM UserPolicies userPolicies
      LEFT JOIN DevicePolicies devicePolicies ON devicePolicies.id = userPolicies.policy_id
      WHERE userPolicies.policy_type_id = 2 AND devicePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientPolicies
      FROM ClientPolicies clientPolicies
      LEFT JOIN DevicePolicies devicePolicies ON devicePolicies.id = clientPolicies.policy_id
      WHERE clientPolicies.policy_type_id = 2 AND devicePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userGroupPolicies
      FROM UserGroupPolicies userGroupPolicies
      LEFT JOIN DevicePolicies devicePolicies ON devicePolicies.id = userGroupPolicies.policy_id
      WHERE userGroupPolicies.policy_type_id = 2 AND devicePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM \`Groups\` clientGroups
      LEFT JOIN GroupClients groupClients ON groupClients.groupId = clientGroups.id
      LEFT JOIN ClientGroupPolicies clientGroupPolicies ON clientGroupPolicies.client_group_id = clientGroups.id
      LEFT JOIN DevicePolicies devicePolicies ON devicePolicies.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 2 AND devicePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userPolicies
      FROM UserPolicies userPolicies
      LEFT JOIN SoftwarePolicies softwarePolicies ON softwarePolicies.id = userPolicies.policy_id
      WHERE userPolicies.policy_type_id = 4 AND softwarePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientPolicies
      FROM ClientPolicies clientPolicies
      LEFT JOIN SoftwarePolicies softwarePolicies ON softwarePolicies.id = clientPolicies.policy_id
      WHERE clientPolicies.policy_type_id = 4 AND softwarePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userGroupPolicies
      FROM UserGroupPolicies userGroupPolicies
      LEFT JOIN SoftwarePolicies softwarePolicies ON softwarePolicies.id = userGroupPolicies.policy_id
      WHERE userGroupPolicies.policy_type_id = 4 AND softwarePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM \`Groups\` clientGroups
      LEFT JOIN GroupClients groupClients ON groupClients.groupId = clientGroups.id
      LEFT JOIN ClientGroupPolicies clientGroupPolicies ON clientGroupPolicies.client_group_id = clientGroups.id
      LEFT JOIN SoftwarePolicies softwarePolicies ON softwarePolicies.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 4 AND softwarePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientPolicies
      FROM ClientPolicies clientPolicies
      LEFT JOIN SoftwareProcessPolicies softwareProcessPolicies ON softwareProcessPolicies.id = clientPolicies.policy_id
      WHERE clientPolicies.policy_type_id = 5 AND softwareProcessPolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userGroupPolicies
      FROM UserGroupPolicies userGroupPolicies
      LEFT JOIN SoftwareProcessPolicies softwareProcessPolicies ON softwareProcessPolicies.id = userGroupPolicies.policy_id
      WHERE userGroupPolicies.policy_type_id = 5 AND softwareProcessPolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userPolicies
      FROM UserPolicies userPolicies
      LEFT JOIN SoftwareProcessPolicies softwareProcessPolicies ON softwareProcessPolicies.id = userPolicies.policy_id
      WHERE userPolicies.policy_type_id = 5 AND softwareProcessPolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM \`Groups\` clientGroups
      LEFT JOIN GroupClients groupClients ON groupClients.groupId = clientGroups.id
      LEFT JOIN ClientGroupPolicies clientGroupPolicies ON clientGroupPolicies.client_group_id = clientGroups.id
      LEFT JOIN SoftwareProcessPolicies softwareProcessPolicies ON softwareProcessPolicies.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 5 AND softwareProcessPolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userPolicies
      FROM UserPolicies userPolicies
      LEFT JOIN DataVolumePolicies dataVolumePolicies ON dataVolumePolicies.id = userPolicies.policy_id
      WHERE userPolicies.policy_type_id = 6 AND dataVolumePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientPolicies
      FROM ClientPolicies clientPolicies
      LEFT JOIN DataVolumePolicies dataVolumePolicies ON dataVolumePolicies.id = clientPolicies.policy_id
      WHERE clientPolicies.policy_type_id = 6 AND dataVolumePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE userGroupPolicies
      FROM UserGroupPolicies userGroupPolicies
      LEFT JOIN DataVolumePolicies dataVolumePolicies ON dataVolumePolicies.id = userGroupPolicies.policy_id
      WHERE userGroupPolicies.policy_type_id = 6 AND dataVolumePolicies.name IS NULL;`
    );
    await queryInterface.sequelize.query(
      `DELETE clientGroupPolicies
      FROM \`Groups\` clientGroups
      LEFT JOIN GroupClients groupClients ON groupClients.groupId = clientGroups.id
      LEFT JOIN ClientGroupPolicies clientGroupPolicies ON clientGroupPolicies.client_group_id = clientGroups.id
      LEFT JOIN DataVolumePolicies dataVolumePolicies ON dataVolumePolicies.id = clientGroupPolicies.policy_id
      WHERE clientGroupPolicies.policy_type_id = 6 AND dataVolumePolicies.name IS NULL;`
    );
  },

  async down (queryInterface, Sequelize) {
    
  }
};
