'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE Privilege (
          id INT AUTO_INCREMENT PRIMARY KEY,
          name VARCHAR(255) UNIQUE NOT NULL,
          is_crud_allowed TINYINT NOT NULL,
          privilege_id INT NULL,
          CONSTRAINT Privilege_ibfk_1
              FOREIGN KEY (privilege_id) REFERENCES Privilege(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('Privilege', 'Privilege_ibfk_1');
    await queryInterface.dropTable('Privilege');
  }
};
