'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE Permissions (
          id INT AUTO_INCREMENT PRIMARY KEY,
          create_permission TINYINT NOT NULL DEFAULT 0,
          read_permission TINYINT NOT NULL DEFAULT 0,
          update_permission TINYINT NOT NULL DEFAULT 0,
          delete_permission TINYINT NOT NULL DEFAULT 0,
          privilege_id INT NOT NULL,
          CONSTRAINT Permissions_ibfk_1
            FOREIGN KEY (privilege_id) REFERENCES Privilege(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('Permissions', 'Permissions_ibfk_1');
    await queryInterface.dropTable('Permissions');
  }
};
