'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE Templates (
          id INT AUTO_INCREMENT PRIMARY KEY,
          name VARCHAR(255) UNIQUE NOT NULL,
          description VARCHAR(255) NOT NULL,
          created_by INT NULL,
          CONSTRAINT Templates_ibfk_1
    	    FOREIGN KEY (created_by) REFERENCES Users(id),
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('Templates', 'Templates_ibfk_1');
    await queryInterface.dropTable('Templates');
  }
};
