'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE UserTemplatePivot (
          id INT AUTO_INCREMENT PRIMARY KEY,
          temp_id INT NOT NULL,
          CONSTRAINT UserTemplatePivot_ibfk_1
            FOREIGN KEY (temp_id) REFERENCES Templates(id) ON DELETE CASCADE ON UPDATE CASCADE,
          user_id INT NOT NULL,
          CONSTRAINT UserTemplatePivot_ibfk_2
            FOREIGN KEY (user_id) REFERENCES Users(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('UserTemplatePivot', 'UserTemplatePivot_ibfk_1');
    await queryInterface.removeConstraint('UserTemplatePivot', 'UserTemplatePivot_ibfk_2');
    await queryInterface.dropTable('UserTemplatePivot');
  }
};
