'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE UserTemplates (
          id INT AUTO_INCREMENT PRIMARY KEY,
          user_id INT NOT NULL,
          CONSTRAINT UserTemplates_ibfk_1
            FOREIGN KEY (user_id) REFERENCES Users(id) ON DELETE CASCADE ON UPDATE CASCADE,
          temp_permission_id INT NOT NULL,
          CONSTRAINT UserTemplates_ibfk_2
            FOREIGN KEY (temp_permission_id) REFERENCES TemplatePermissions(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('UserTemplates', 'UserTemplates_ibfk_1');
    await queryInterface.removeConstraint('UserTemplates', 'UserTemplates_ibfk_2');
    await queryInterface.dropTable('UserTemplates');
  }
};
