'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO Privilege (id, name, is_crud_allowed, privilege_id) VALUES
          (1, "Dashboard", 1, null),
          (2, "Reports", 0, null),
          (3, "All Reports", 1, 2),
          (4, "Devices Reports", 1, 2),
          (5, "Services Reports", 1, 2),
          (6, "Infrastructure Reports", 1, 2),
          (7, "Policy Reports", 1, 2),
          (8, "Users Reports", 1, 2),
          (9, "Alerts", 1, null),
          (10, "Policy Management", 0, null),
          (11, "Entitlements", 1, 10),
          (12, "Device Entitlements", 1, 11),
          (13, "User Entitlements", 1, 11),
          (14, "Device Policy", 0, 10),
          (15, "Security Policy", 1, 14),
          (16, "OS Policy", 1, 14),
          (17, "Software Policy", 1, 14),
          (18, "Process Policy", 1, 14),
          (19, "Data Volume Policy", 1, 14),
          (20, "Routing Policy", 1, 10),
          (21, "Infrastructure", 0, null),
          (22, "Services", 1, 21),
          (23, "Service Groups", 1, 21),
          (24, "Controllers", 1, 21),
          (25, "Gateways", 1, 21),
          (26, "Gateways Groups", 1, 21),
          (27, "Server Bridges", 1, 21),
          (28, "Device Bridge (x86)", 1, 21),
          (29, "Device Bridge (ARM)", 1, 21),
          (30, "B2B Bridges", 1, 21),
          (31, "SaaS Bridges", 1, 21),
          (32, "LDAP Configuration", 1, 21),
          (33, "IDP Management", 1, 21),
          (34, "IAM", 0, null),
          (35, "Admin Users", 1, 34),
          (36, "Roles And Permissions", 1, 34),
          (37, "Users", 1, 34),
          (38, "User Groups", 1, 34),
          (39, "Device Management", 0, null),
          (40, "Devices", 1, 39),
          (41, "S2S Microsegmentation", 0, null),
          (42, "Workloads Management", 1, 41),
          (43, "Client Management", 0, null),
          (44, "End User Clients", 1, 43),
          (45, "Server Side Client", 1, 43),
          (46, "Groups", 1, 43),
          (47, "Organizations", 1, null),
          (48, "Device Health Check", 0, null),
          (49, "Software Master List", 1, 48),
          (50, "Unauthorized Software", 1, 48),
          (51, "Process Binding", 1, 48),
          (52, "Access Logs", 0, null),
          (53, "Client", 1, 52),
          (54, "Admin", 1, 52),
          (55, "Settings", 0, null),
          (56, "Portal Settings", 1, 55),
          (57, "Client Settings", 1, 55),
          (58, "Core Settings", 1, 55),
          (59, "License Management", 1, 55),
          (60, "System Backup", 1, 55),
          (61, "Software Update", 1, 55),
          (62, "Infrastructure Dashboard", 1, null);
      `
    );
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(`DELETE FROM Privilege`);
  }
};
