'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO Permissions (id, create_permission, read_permission, update_permission, delete_permission, privilege_id) VALUES
          -- Infrastructure Admin
          (1, 1, 1, 1, 1, 2),
          (2, 1, 1, 1, 1, 6),
          (3, 1, 1, 1, 1, 10),
          (4, 1, 1, 1, 1, 20),
          (5, 1, 1, 1, 1, 21),
          (6, 1, 1, 1, 1, 22),
          (7, 1, 1, 1, 1, 23),
          (8, 1, 1, 1, 1, 24),
          (9, 1, 1, 1, 1, 25),
          (10, 1, 1, 1, 1, 26),
          (11, 1, 1, 1, 1, 32),
          (12, 1, 1, 1, 1, 33),
          (13, 1, 1, 1, 1, 34),
          (14, 1, 1, 1, 1, 35),
          (15, 1, 1, 1, 1, 36),
          (16, 1, 1, 1, 1, 55),
          (17, 1, 1, 1, 1, 56),
          (18, 1, 1, 1, 1, 58),
          (19, 1, 1, 1, 1, 59),
          (20, 1, 1, 1, 1, 60),
          (21, 1, 1, 1, 1, 61),
          (22, 1, 1, 1, 1, 62),
        
          
          -- Admin
          (23, 1, 1, 1, 1, 1),
          (24, 1, 1, 1, 1, 2),
          (25, 1, 1, 1, 1, 3),
          (26, 1, 1, 1, 1, 4),
          (27, 1, 1, 1, 1, 5),
          (28, 1, 1, 1, 1, 7),
          (29, 1, 1, 1, 1, 8),
          (30, 1, 1, 1, 1, 9),
          (31, 1, 1, 1, 1, 10),
          (32, 1, 1, 1, 1, 11),
          (33, 1, 1, 1, 1, 12),
          (34, 1, 1, 1, 1, 13),
          (35, 1, 1, 1, 1, 14),
          (36, 1, 1, 1, 1, 15),
          (37, 1, 1, 1, 1, 16),
          (38, 1, 1, 1, 1, 17),
          (39, 1, 1, 1, 1, 18),
          (40, 1, 1, 1, 1, 19),
          (185, 1, 1, 1, 1, 21),
          (41, 1, 1, 1, 1, 27),
          (42, 1, 1, 1, 1, 28),
          (43, 1, 1, 1, 1, 29),
          (44, 1, 1, 1, 1, 30),
          (45, 1, 1, 1, 1, 31),
          (46, 1, 1, 1, 1, 34),
          (47, 1, 1, 1, 1, 35),
          (48, 1, 1, 1, 1, 36),
          (49, 1, 1, 1, 1, 37),
          (50, 1, 1, 1, 1, 38),
          (51, 1, 1, 1, 1, 39),
          (52, 1, 1, 1, 1, 40),
          (53, 1, 1, 1, 1, 41),
          (54, 1, 1, 1, 1, 42),
          (55, 1, 1, 1, 1, 43),
          (56, 1, 1, 1, 1, 44),
          (57, 1, 1, 1, 1, 45),
          (58, 1, 1, 1, 1, 46),
          (59, 1, 1, 1, 1, 47),
          (60, 1, 1, 1, 1, 48),
          (61, 1, 1, 1, 1, 49),
          (62, 1, 1, 1, 1, 50),
          (63, 1, 1, 1, 1, 51),
          (64, 1, 1, 1, 1, 52),
          (65, 1, 1, 1, 1, 53),
          (66, 1, 1, 1, 1, 54),
          (67, 1, 1, 1, 1, 55),
          (68, 1, 1, 1, 1, 56),
          (69, 1, 1, 1, 1, 57),
          (70, 0, 1, 0, 0, 60),
          
        
          -- Team Manager
          (71, 1, 1, 1, 1, 1),
          (72, 1, 1, 1, 1, 11),
          (73, 1, 1, 1, 1, 12),
          (74, 1, 1, 1, 1, 13),
          (75, 1, 1, 1, 1, 14),
          (76, 1, 1, 1, 1, 15),
          (77, 1, 1, 1, 1, 16),
          (78, 1, 1, 1, 1, 17),
          (79, 1, 1, 1, 1, 18),
          (80, 1, 1, 1, 1, 19),
          (81, 0, 1, 0, 0, 34),
          (82, 0, 1, 0, 0, 37),
          (83, 1, 1, 1, 1, 41),
          (84, 1, 1, 1, 1, 42), 
          (85, 0, 1, 0, 0, 43),
          (86, 0, 1, 0, 0, 44),
          (87, 0, 1, 0, 0, 45),
          (88, 1, 1, 1, 1, 48),
          (89, 1, 1, 1, 1, 49),
          (90, 1, 1, 1, 1, 50),
          (91, 1, 1, 1, 1, 51),
          (92, 0, 1, 0, 0, 52),
          (93, 0, 1, 0, 0, 53),
        
        
          -- Policy Admin
          (94, 1, 1, 1, 1, 1),
          (95, 1, 1, 1, 1, 11),
          (96, 1, 1, 1, 1, 12),
          (97, 1, 1, 1, 1, 13),
          (98, 1, 1, 1, 1, 14),
          (99, 1, 1, 1, 1, 15),
          (100, 1, 1, 1, 1, 16),
          (101, 1, 1, 1, 1, 17),
          (102, 1, 1, 1, 1, 18),
          (103, 1, 1, 1, 1, 19), 
          (104, 0, 1, 0, 0, 34),
          (105, 0, 1, 0, 0, 37),
          (106, 1, 1, 1, 1, 41),
          (107, 1, 1, 1, 1, 42),
          (108, 0, 1, 0, 0, 43),
          (109, 0, 1, 0, 0, 44),
          (110, 0, 1, 0, 0, 45),
          (111, 1, 1, 1, 1, 48),
          (112, 1, 1, 1, 1, 49),
          (113, 1, 1, 1, 1, 50),
          (114, 1, 1, 1, 1, 51),
          (115, 0, 1, 0, 0, 52),
          (116, 0, 1, 0, 0, 53),
        
          
          -- Report Viewer
          (117, 1, 1, 1, 1, 1),
          (118, 1, 1, 1, 1, 2),
          (119, 1, 1, 1, 1, 3),
          (120, 1, 1, 1, 1, 4),
          (121, 1, 1, 1, 1, 5),
          (122, 1, 1, 1, 1, 7),
          (123, 1, 1, 1, 1, 8),
        
          
          --  API User
          (124, 0, 0, 0, 0, 1),
          (125, 0, 0, 0, 0, 2),
          (126, 0, 0, 0, 0, 3),
          (127, 0, 0, 0, 0, 4),
          (128, 0, 0, 0, 0, 5),
          (129, 0, 0, 0, 0, 6),
          (130, 0, 0, 0, 0, 7),
          (131, 0, 0, 0, 0, 8),
          (132, 0, 0, 0, 0, 9),
          (133, 0, 0, 0, 0, 10),
          (134, 0, 0, 0, 0, 11),
          (135, 0, 0, 0, 0, 12),
          (136, 0, 0, 0, 0, 13),
          (137, 0, 0, 0, 0, 14),
          (138, 0, 0, 0, 0, 15),
          (139, 0, 0, 0, 0, 16),
          (140, 0, 0, 0, 0, 17),
          (141, 0, 0, 0, 0, 18),
          (142, 0, 0, 0, 0, 19),
          (143, 0, 0, 0, 0, 20),
          (144, 0, 0, 0, 0, 21),
          (145, 0, 0, 0, 0, 22),
          (146, 0, 0, 0, 0, 23),
          (147, 0, 0, 0, 0, 24),
          (148, 0, 0, 0, 0, 25),
          (149, 0, 0, 0, 0, 26),
          (150, 0, 0, 0, 0, 27),
          (151, 0, 0, 0, 0, 28),
          (152, 0, 0, 0, 0, 29),
          (153, 0, 0, 0, 0, 30),
          (154, 0, 0, 0, 0, 31),
          (155, 0, 0, 0, 0, 32),
          (156, 0, 0, 0, 0, 33),
          (157, 0, 0, 0, 0, 34),
          (158, 0, 0, 0, 0, 35),
          (159, 0, 0, 0, 0, 36),
          (160, 0, 0, 0, 0, 37),
          (161, 0, 0, 0, 0, 38),
          (162, 0, 0, 0, 0, 39),
          (163, 0, 0, 0, 0, 40),
          (164, 0, 0, 0, 0, 41),
          (165, 0, 0, 0, 0, 42),
          (166, 0, 0, 0, 0, 43),
          (167, 0, 0, 0, 0, 44),
          (168, 0, 0, 0, 0, 45),
          (169, 0, 0, 0, 0, 46),
          (170, 0, 0, 0, 0, 47),
          (171, 0, 0, 0, 0, 48),
          (172, 0, 0, 0, 0, 49),
          (173, 0, 0, 0, 0, 50),
          (174, 0, 0, 0, 0, 51),
          (175, 0, 0, 0, 0, 52),
          (176, 0, 0, 0, 0, 53),
          (177, 0, 0, 0, 0, 54),
          (178, 0, 0, 0, 0, 55),
          (179, 0, 0, 0, 0, 56),
          (180, 0, 0, 0, 0, 57),
          (181, 0, 0, 0, 0, 58),
          (182, 0, 0, 0, 0, 59),
          (183, 0, 0, 0, 0, 60),
          (184, 0, 0, 0, 0, 61);
      `
    )
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM Permissions
        WHERE id BETWEEN 1 AND 185
      `
    )
  }
};
