'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE TemplateApproval (
          id INT AUTO_INCREMENT PRIMARY KEY,
          is_approved TINYINT NOT NULL DEFAULT 0,
          requestee_message VARCHAR(500) NULL,
          approver_message VARCHAR(500) NULL,
          user_id INT NULL,
          CONSTRAINT TemplateApproval_ibfk_1
            FOREIGN KEY (user_id) REFERENCES Users(id) ON DELETE CASCADE ON UPDATE CASCADE,
          approver_id INT NULL,
          CONSTRAINT TemplateApproval_ibfk_2
            FOREIGN KEY (approver_id) REFERENCES Users(id) ON DELETE CASCADE ON UPDATE CASCADE,
          temp_id INT UNIQUE NOT NULL,
          CONSTRAINT TemplateApproval_ibfk_3
            FOREIGN KEY (temp_id) REFERENCES Templates(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeConstraint('TemplateApproval', 'TemplateApproval_ibfk_1');
    await queryInterface.removeConstraint('TemplateApproval', 'TemplateApproval_ibfk_2');
    await queryInterface.removeConstraint('TemplateApproval', 'TemplateApproval_ibfk_3');
    await queryInterface.dropTable('TemplateApproval');
  }
};
