'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    // Fetch the first Admin
    const [templates] = await queryInterface.sequelize.query(
      `
        SELECT id FROM Templates 
          WHERE id NOT IN (1, 2, 3, 4, 5, 6)
          ORDER BY id
      `,
    );

    for (let i = 0; i < templates.length; i++) {
      await queryInterface.sequelize.query(
        `
          INSERT INTO TemplateApproval (is_approved, requestee_message, approver_message, user_id, approver_id, temp_id) VALUES
            (1, null, null, null, null, ${templates[i].id})
        `
      )
    }
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM TemplateApproval
        WHERE id NOT IN (1, 2, 3, 4, 5, 6)
      `
    )
  }
};
