'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    const windows = [
      {
        software: 'Bitdefender Antivirus',
        process: ['bdagent.exe']
      },
      {
        software: 'Norton Antivirus',
        process: ['ccSvcHst.exe']
      },
      {
        software: 'Kaspersky Antivirus',
        process: ['avp.exe']
      },
      {
        software: 'McAfee Antivirus',
        process: ['mcshield.exe', 'mcafee.exe']
      },
      {
        software: 'Avast Antivirus',
        process: ['AvastSvc.exe']
      },
      {
        software: 'AVG Antivirus',
        process: ['avgsvc.exe']
      },
      {
        software: 'Trend Micro Antivirus',
        process: ['NTRtScan.exe', 'tmproxy.exe']
      },
      {
        software: 'ESET NOD32 Antivirus',
        process: ['egui.exe']
      },
      {
        software: 'Sophos Antivirus',
        process: ['savservice.exe'] 
      },
      {
        software: 'Malwarebytes Antivirus',
        process: ['mbamservice.exe']
      },
      {
        software: 'Windows Defender Antivirus',
        process: ['MsMpEng.exe', 'MsMpSvc.exe']
      },
      {
        software: 'Avira Antivirus',
        process: ['avguard.exe', 'avgnt.exe']
      },
      {
        software: 'Panda Security Antivirus',
        process: ['PSANHost.exe', 'PSUAService.exe']
      },
      {
        software: 'F-Secure Antivirus',
        process: ['fsma32.exe', 'fsav32.exe']
      },
      {
        software: 'Comodo Antivirus',
        process: ['cavwp.exe', 'cis.exe']
      },
      {
        software: 'BullGuard Antivirus',
        process: ['BullGuard.exe', 'BullGuardUpdate.exe']
      },
      {
        software: 'Webroot SecureAnywhere Antivirus',
        process: ['WRSA.exe', 'WRTray.exe']
      },
      {
        software: 'VIPRE  Antivirus',
        process: ['SBAMSvc.exe', 'SBAMTray.exe']
      },
      {
        software: '360 Total Security Antivirus',
        process: ['QHSafeTray.exe', '360tray.exe']
      },
      // not known in windows
      // {
      //   software: 'CrowdStrike',
      //   process: ['falcon']
      // }
    ]

    const getCurrentDateTime = () => {
      const now = new Date();
      return now
        .toISOString()
        .slice(0, 19)
        .replace('T', ' ');
    };

    for (let i = 0; i < windows.length; i++) {
      let os = 'windows';
      let software = windows[i].software;
      let binding_name = windows[i].software + '_' + os;
      const createdAt = getCurrentDateTime();
      const updatedAt = getCurrentDateTime();

      const [softwareInstance] = await queryInterface.sequelize.query(
        `
          INSERT INTO SoftwareInstances (binding_name, software, os, is_edr, createdAt, updatedAt) VALUES
          ('${binding_name}', '${software}', '${os}', 1, '${createdAt}', '${updatedAt}')
        `
      );

      let software_id = softwareInstance;
      for (let j = 0; j < windows[i].process.length; j++) {
        let process = windows[i].process[j];
        await queryInterface.sequelize.query(
          `
            INSERT INTO SoftwareProcessBindings (software_id, process, createdAt, updatedAt) VALUES
            (${software_id}, '${process}', '${createdAt}', '${updatedAt}')
          `
        );
      }
    }
  },

  async down(queryInterface, Sequelize) {
    const [instance] = await queryInterface.sequelize.query(
      `
        SELECT id
        FROM SoftwareInstances si 
        WHERE si.is_edr = 1 AND si.os = 'windows'
      `
    );

    for (let i = 0; i < instance.length; i++) {
      let id = instance[i].id;
      await queryInterface.sequelize.query(
        `
          DELETE FROM SoftwareProcessBindings  
          WHERE software_id = ${id}
        `
      );

      await queryInterface.sequelize.query(
        `
          DELETE FROM SoftwareInstances  
          WHERE id = ${id}
        `
      );
    }
  }
};
