'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    const [slaveClient] = await queryInterface.sequelize.query(
      `
        SELECT c.id
          FROM Clients c 
          INNER JOIN ServerBridgeUserIds sbui ON sbui.client_id = c.id 
        
        UNION
        
        SELECT c.id
          FROM Clients c 
          INNER JOIN ServerBridgeDeviceIds sbdi ON sbdi.client_id = c.id 
      `,
    );

    for (let i = 0; i < slaveClient.length; i++) {
      await queryInterface.sequelize.query(
        `
          UPDATE Clients c
          SET c.user_auth_required = false
          where c.id = ${slaveClient[i].id}
        `
      )
    }
  },

  async down (queryInterface, Sequelize) {
    const [slaveClient] = await queryInterface.sequelize.query(
      `
        SELECT c.id
          FROM Clients c 
          INNER JOIN ServerBridgeUserIds sbui ON sbui.client_id = c.id 
        
        UNION
        
        SELECT c.id
          FROM Clients c 
          INNER JOIN ServerBridgeDeviceIds sbdi ON sbdi.client_id = c.id 
      `,
    );

    for (let i = 0; i < slaveClient.length; i++) {
      await queryInterface.sequelize.query(
        `
          UPDATE Clients c
          SET c.user_auth_required = true
          where c.id = ${slaveClient[i].id}
        `
      )
    }
  }
};
