'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    const [name] = await queryInterface.sequelize.query(
      `
        SELECT CONSTRAINT_NAME
          FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
          WHERE TABLE_NAME = 'Templates'
          AND CONSTRAINT_TYPE = 'UNIQUE';
      `,
    );

    await queryInterface.sequelize.query(
      `
        ALTER TABLE Templates
          DROP CONSTRAINT ${name[0].CONSTRAINT_NAME};
      `,
    );
  },
  
  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        ALTER TABLE Templates
          ADD CONSTRAINT UNIQUE (name);
      `,
    );
  }
};
