'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    const [s2sClient] = await queryInterface.sequelize.query(
      `
        Select DISTINCT clientId
          FROM WorkloadDevicePivots wdp 
          INNER JOIN Clients c ON c.id = wdp.clientId  
      `,
    );

    for (let i = 0; i < s2sClient.length; i++) {
      await queryInterface.sequelize.query(
        `
          UPDATE Clients c
          SET c.user_auth_required = false
          where c.id = ${s2sClient[i].clientId}
        `
      )
    }
  },

  async down (queryInterface, Sequelize) {
    const [s2sClient] = await queryInterface.sequelize.query(
      `
        Select DISTINCT clientId
          FROM WorkloadDevicePivots wdp 
          INNER JOIN Clients c ON c.id = wdp.clientId 
      `,
    );

    for (let i = 0; i < s2sClient.length; i++) {
      await queryInterface.sequelize.query(
        `
          UPDATE Clients c
          SET c.user_auth_required = true
          where c.id = ${s2sClient[i].clientId}
        `
      )
    }
  }
};
