'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        CREATE TABLE AllowedServiceEndpoints (
          id INT AUTO_INCREMENT PRIMARY KEY,
          endpoint VARCHAR(255) NOT NULL,
          service_id INT NOT NULL,
          CONSTRAINT AllowedServiceEndpoints_ibfk_1
              FOREIGN KEY (service_id) REFERENCES Services(id) ON DELETE CASCADE ON UPDATE CASCADE,
          createdAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
          updatedAt TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL
        );
      `
    )
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeConstraint('AllowedServiceEndpoints', 'AllowedServiceEndpoints_ibfk_1');
    await queryInterface.dropTable('AllowedServiceEndpoints');
  }
};
