'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (transaction) => {
      await queryInterface.bulkInsert(
        'OsVersions',
        [
          {
            tagName: 'android',
            displayName: 'Android',
            buildVersion: '14.0',
            createdAt: new Date(),
            updatedAt: new Date()
          },
          {
            tagName: 'android',
            displayName: 'Android',
            buildVersion: '15.0',
            createdAt: new Date(),
            updatedAt: new Date()
          },
          {
            tagName: 'ios',
            displayName: 'iOS',
            buildVersion: '17.0',
            createdAt: new Date(),
            updatedAt: new Date()
          },
        ],
        { transaction }
      );
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (transaction) => {
      await queryInterface.bulkDelete('OsVersions', {
        [Sequelize.Op.or]: [
          { tagName: 'android', buildVersion: '14.0' },
          { tagName: 'android', buildVersion: '15.0' },
          { tagName: 'ios', buildVersion: '17.0' }
        ]
      }, { transaction });
    });
  }
};