'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (transaction) => {
      await queryInterface.bulkInsert(
        'OsVersions',
        [
          {
            tagName: 'macintosh14',
            displayName: 'macOS Sonoma',
            buildVersion: '14.3.1',
            createdAt: new Date(),
            updatedAt: new Date()
          },
          {
            tagName: 'macintosh14',
            displayName: 'macOS Sonoma',
            buildVersion: '14.4',
            createdAt: new Date(),
            updatedAt: new Date()
          },
          {
            tagName: 'macintosh14',
            displayName: 'macOS Sonoma',
            buildVersion: '14.4.1',
            createdAt: new Date(),
            updatedAt: new Date()
          },
        ],
        { transaction }
      );
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (transaction) => {
      await queryInterface.bulkDelete('OsVersions', {
        [Sequelize.Op.or]: [
          { tagName: 'macintosh14', buildVersion: '14.3.1' },
          { tagName: 'macintosh14', buildVersion: '14.4' },
          { tagName: 'macintosh14', buildVersion: '14.4.1' }
        ]
      }, { transaction });
    });
  }
};