'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.sequelize.query(
      `DELETE FROM SoftwareProcessBindings 
        WHERE software_id = (
            SELECT id FROM SoftwareInstances 
            WHERE software = 'Windows Defender Antivirus' AND os = 'windows'
        ) 
        AND process = 'MsMpSvc.exe';`, 
    );
  },

  down: async (queryInterface, Sequelize) => {
    const [softwareInstance] = await queryInterface.sequelize.query(
      `SELECT id FROM SoftwareInstances 
       WHERE software = 'Windows Defender Antivirus' AND os = 'windows'`
    );

    const getCurrentDateTime = () => {
      const now = new Date();
      return now
        .toISOString()
        .slice(0, 19)
        .replace('T', ' ');
    };

    if (softwareInstance && softwareInstance.length > 0) {
      const softwareId = softwareInstance[0].id;
      await queryInterface.bulkInsert('SoftwareProcessBindings', [{
        software_id: softwareId,
        process: 'MsMpSvc.exe',
        createdAt: getCurrentDateTime(),
        updatedAt: getCurrentDateTime()
      }]);
    }
  }
};
