'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn('LocalUsers', 'reachable_email', {
      type: Sequelize.STRING,
      allowNull: true, // Default value is null
    });

    await queryInterface.sequelize.query(`
      UPDATE LocalUsers
      SET reachable_email = email
      WHERE reachable_email IS NULL;
    `);
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.sequelize.query(`
      UPDATE LocalUsers
      SET reachable_email = NULL;
    `);

    await queryInterface.removeColumn('LocalUsers', 'reachable_email');
  }
};
