'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.dropTable('ControllerGateways');
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.createTable('ControllerGateways', {
      controllerId: {
        allowNull: false,
        type: Sequelize.INTEGER,
        references: {
          model: 'Controllers',
          key: 'id'
        }
      },
      gatewayId: {
        allowNull: false,
        type: Sequelize.INTEGER,
        references: {
          model: 'Gateways',
          key: 'id'
        }
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP')
      }
    });
  }
};
