'use strict';
module.exports = function (sequelize, DataTypes) {

    const Microsegments = sequelize.define('Microsegments', {
        name:{
            type: DataTypes.STRING,
            allowNull:false
        },
        workloadId: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        deviceId: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        description:{
            type: DataTypes.TEXT('long'),
            allowNull:true
        }
    })

    Microsegments.associate = function (models) {
        Microsegments.hasMany(models.MicrosegmentPivots, {
            foreignKey: 'microsegmentId',
            as: 'MPSMicrosegementPivots',
            onDelete: 'CASCADE',
            hooks: true
        });
        Microsegments.belongsTo(models.DeviceInventories, {foreignKey: 'deviceId', as: 'MPMicrosegementPivots'});
        Microsegments.belongsToMany(models.DeviceInventories, {
            foreignKey: 'microsegmentId',
            through: models.MicrosegmentPivots
        });
    };
    return Microsegments;
};
