'use strict';
module.exports = (sequelize, DataTypes) => {
  const AdminAccessLogs = sequelize.define('AdminAccessLogs', {
    userId: DataTypes.INTEGER,
    action:DataTypes.STRING,
    requestBody:DataTypes.JSON,
    requestParams:DataTypes.JSON,
    requestQueryParams:DataTypes.JSON,
    priority: {
      type: DataTypes.ENUM('high', 'medium', 'low'),
      allowNull: false,
      defaultValue: 'low'
    }
  }, {});
  AdminAccessLogs.associate = function(models) {
    // associations can be defined here
    AdminAccessLogs.belongsTo(models.User, { foreignKey: 'userId' });
  };
  return AdminAccessLogs;
};