const httpErrors = require('http-errors');
const _ = require('lodash');

('use strict');
module.exports = (sequelize, DataTypes) => {
  const AlertLogs = sequelize.define(
    'AlertLogs',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      type: {
        type: DataTypes.STRING
      },
      message: {
        type: DataTypes.TEXT
      },
      severity: {
        type: DataTypes.STRING,
        allowNull: true,
      },
      is_viewed: {
        type: DataTypes.BOOLEAN,
        allowNull: false,
        defaultValue: false,
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  AlertLogs.associate = function(models) {
    // associations can be defined here

  };

  return AlertLogs;
};
