'use strict';

module.exports = (sequelize, DataTypes) => {
  const AllowedServiceEndpoints = sequelize.define(
    'AllowedServiceEndpoints',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      endpoint: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'AllowedServiceEndpoints'
    }
  );

  AllowedServiceEndpoints.associate = function(models) {
    AllowedServiceEndpoints.belongsTo(models.Service, {
      foreignKey: 'service_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return AllowedServiceEndpoints;
};
