const httpErrors = require('http-errors');
const _ = require('lodash');

('use strict');
module.exports = (sequelize, DataTypes) => {
    const B2bPortal = sequelize.define(
        'B2bPortal',
        {
            id: {
                allowNull: false,
                autoIncrement: true,
                primaryKey: true,
                type: DataTypes.INTEGER
            },
            serverBridgeId: {
                type: DataTypes.INTEGER,
                references: {
                    model: 'ServerBridges',
                    key: 'id'
                },
                onDelete: 'CASCADE'
            },

            portalUrl: {
                type: DataTypes.STRING
            },
            portalPort: {
                type: DataTypes.INTEGER
            },
            minVncPort: {
                type: DataTypes.INTEGER
            },
            maxVncPort: {
                type: DataTypes.INTEGER
            },

            createdAt: {
                allowNull: false,
                type: DataTypes.DATE,
            },
            updatedAt: {
                allowNull: false,
                type: DataTypes.DATE,
            },
        },
        {}
    );
    B2bPortal.associate = function (models) {
        // associations can be defined here
    };


    return B2bPortal;
};
