'use strict';
module.exports = function(sequelize, DataTypes) {
  
    const customUserGroups = sequelize.define('CustomUserGroups', {
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        group_name: {
            type: DataTypes.STRING,
            allowNull: false
        },
        group_description: {
            type: DataTypes.STRING,
            allowNull: false
        },
        sql_query_id: {
            type: DataTypes.INTEGER,
            references: {
                model: 'UserGroupSQLQuery', 
                key: 'id', 
            }
        },
        raw_query_id: {
            type: DataTypes.INTEGER,
            references: {
                model: 'UserGroupRawQuery', 
                key: 'id',
            }
        },
        runtime_bind_id:{
            type: DataTypes.INTEGER,
            allowNull: false
        },
        createdAt: {
            type: DataTypes.DATE,
            allowNull: false
        },
        updatedAt: {
            type: DataTypes.DATE,
            allowNull: false
        }
    })

    return customUserGroups;
};
