'use strict';

module.exports = (sequelize, DataTypes) => {
  const Permissions = sequelize.define(
    'Permissions',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      create_permission: {
        type: DataTypes.BOOLEAN,
        allowNull: false,
      },
      read_permission: {
        type: DataTypes.BOOLEAN,
        allowNull: false
      },
      delete_permission: {
        type: DataTypes.BOOLEAN,
        allowNull: false
      },
      update_permission: {
        type: DataTypes.BOOLEAN,
        allowNull: false
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'Permissions'
    }
  );

  Permissions.associate = function(models) {
    Permissions.belongsTo(models.Privilege, {
      foreignKey: 'privilege_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return Permissions;
};
