'use strict';

module.exports = (sequelize, DataTypes) => {
  const Privilege = sequelize.define(
    'Privilege',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      name: {
        type: DataTypes.STRING,
        allowNull: false,
        unique: true,
      },
      is_crud_allowed: {
        type: DataTypes.BOOLEAN,
        allowNull: false
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'Privilege'
    }
  );

  Privilege.associate = function(models) {
    Privilege.belongsTo(models.Privilege, {
      foreignKey: 'privilege_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return Privilege;
};
