'use strict';
module.exports = function(sequelize, DataTypes) {
  
    const S2sDiscoveryData = sequelize.define('S2sManualRule', {
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        source_device: {
            type: DataTypes.STRING,
            allowNull: false
        },
        source_ip: {
            type: DataTypes.STRING,
            allowNull: false
        },
        destination_device: {
            type: DataTypes.STRING,
            allowNull: false
        },
        destination_ip: {
            type: DataTypes.STRING,
            allowNull: false
        },
        destination_port: {
            type: DataTypes.STRING,
            allowNull: false
        },
        protocol:{
            type: DataTypes.STRING,
            allowNull: false
        },
        workloadId:{
            type: DataTypes.INTEGER,
            allowNull:false
        },
        src_workload_id:{
            type: DataTypes.INTEGER,
            allowNull:false
        },
        client_id:{
            type: DataTypes.INTEGER,
            allowNull:true
          },
        allowed_comm:{
            type: DataTypes.BOOLEAN,
            allowNull: false,
            defaultValue: true
        },
        deviceId:{
            type: DataTypes.INTEGER,
            allowNull:true
        },
        microsegment_tag:{
            type: DataTypes.STRING,
            allowNull: true
        },
        workload_tag:{
            type: DataTypes.STRING,
            allowNull: true
        },
        source_workload_tag:{
            type: DataTypes.STRING,
            allowNull: true
        },
        createdAt: {
            allowNull: false,
            type: DataTypes.DATE
        },
        updatedAt: {
            allowNull: false,
            type: DataTypes.DATE
        }
    })

    S2sDiscoveryData.associate = function(models) {
      S2sDiscoveryData.belongsTo(models.Workloads, {
        foreignKey: 'workloadId',
        targetKey: "id",
        as: "workload"
      });
      S2sDiscoveryData.belongsTo(models.DeviceInventories, {
        foreignKey: 'destination_ip',
        targetKey: "ip_address",
        as: "destinationDevice"
      });
      S2sDiscoveryData.belongsTo(models.DeviceInventories, {
        foreignKey: 'source_ip',
        targetKey: "ip_address",
        as: "sourceDevice"
      });
      S2sDiscoveryData.belongsTo(models.Client, {
        foreignKey: 'client_id',
      });
    };

    
    return S2sDiscoveryData;
};
