'use strict';

module.exports = function(sequelize, DataTypes) {
  var SoftwareInstances = sequelize.define('SoftwareInstances', {
    binding_name: DataTypes.STRING,
    software: DataTypes.STRING,
    os: DataTypes.STRING,
    is_edr: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue: false
    },
  });

  SoftwareInstances.associate = function(models) {
    SoftwareInstances.belongsToMany(models.SoftwareProcessPolicies, { 
      through: models.SoftwareProcessPolicyPivots,
      foreignKey: 'software_id' 
    });
  };

  return SoftwareInstances;
};
