'use strict';

module.exports = function(sequelize, DataTypes) {
  var SoftwareProcessPolicies = sequelize.define('SoftwareProcessPolicies', {
    name: DataTypes.STRING,
    is_blocked: DataTypes.BOOLEAN,
    is_enabled: DataTypes.BOOLEAN,
    all_clients:DataTypes.BOOLEAN,
    all_services: DataTypes.BOOLEAN,
    compliance: DataTypes.STRING,
    all_users: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
    },
  });

  SoftwareProcessPolicies.associate = function(models) {
    // associations can be defined here
    SoftwareProcessPolicies.hasMany(models.SoftwareProcessPolicyPivots, {
      foreignKey: 'policy_id',
      as: 'SPPolicyPivots',
      onDelete: 'CASCADE',
      hooks: true
    });

    SoftwareProcessPolicies.belongsToMany(models.SoftwareInstances, {
      foreignKey: 'policy_id',
      through: models.SoftwareProcessPolicyPivots
    });
  };

  return SoftwareProcessPolicies;
};
