'use strict';

module.exports = (sequelize, DataTypes) => {
  const Templates = sequelize.define(
    'Templates',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      name: {
        type: DataTypes.STRING,
        allowNull: false,
        unique: true,
      },
      description: {
        type: DataTypes.STRING,
        allowNull: false,
        unique: true,
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'Templates'
    }
  );

  Templates.associate = function(models) {
    Templates.belongsTo(models.User, {
      foreignKey: 'created_by',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return Templates;
};
