'use strict';
module.exports = (sequelize, DataTypes) => {
  const TimeFormat = sequelize.define(
    'TimeFormats', // This should match the table name
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      format: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      createdAt: {
        type: DataTypes.DATE
      },
      updatedAt: {
        type: DataTypes.DATE
      },
      uniqueIdentifier: { // Add a new column for the unique identifier
        type: DataTypes.STRING,
        allowNull: false,
        unique: true, // Ensure uniqueness
      },
    }
  );
  
  TimeFormat.associate = function (models) {
    // associations can be defined here
  };

  return TimeFormat;
};
