'use strict';

module.exports = (sequelize, DataTypes) => {
  const UserTemplates = sequelize.define(
    'UserTemplates',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'UserTemplates'
    }
  );

  UserTemplates.associate = function(models) {
    UserTemplates.belongsTo(models.User, {
      foreignKey: 'user_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
    UserTemplates.belongsTo(models.TemplatePermissions, {
      foreignKey: 'temp_permission_id',
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE'
    });
  };

  return UserTemplates;
};
