'use strict';

module.exports = (sequelize, DataTypes) => {
  const UserTimeSetting = sequelize.define(
    'UserTimeSetting',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      user_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        references: {
          model: 'Users',
          key: 'id'
        }
      },
      time_type: {
        type: DataTypes.INTEGER,
        allowNull: false,
        defaultValue: 1
      },
      timezone: {
        type: DataTypes.STRING(100),
        allowNull: true
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE,
        defaultValue: sequelize.literal('CURRENT_TIMESTAMP')
      }
    },
    {
      tableName: 'UserTimeSetting'
    }
  );

  UserTimeSetting.associate = function(models) {
    UserTimeSetting.belongsTo(models.User, {
      foreignKey: 'user_id',
      onDelete: 'CASCADE'
    });
  };

  return UserTimeSetting;
};
