'use strict';

const { reject } = require('bluebird');
const { spawn } = require('child_process');
const { exec } = require('child_process');

module.exports = class Openssl {
  generateEncKey() {
    return new Promise((resolve, reject) => {
      const enc = spawn('openssl', [
        'enc',
        '-aes-256-cbc',
        '-k',
        'secret',
        '-P'
      ]);
      enc.stdout.on('data', data => {
        var keysParts = data.toString().split('\n');
        var keyParts = keysParts[1].split('=');
        var ivParts = keysParts[2].split('=');
        var result = { key: keyParts[1] + '=' + ivParts[1], message: '' };
        resolve(result);
      });
      enc.stderr.on('data', data => {
        console.log(data.toString());
      });
      enc.on('error', data => {
        var result = { error: true, message: data.toString() };
        reject(result);
      });
    });
  }

  generateHMacKey() {
    return new Promise((resolve, reject) => {
      const hmac = exec(
        `< /dev/urandom tr -dc '0-9A-Za-z-_@$*#' | head -c\${1:-24};`
      );
      hmac.stdout.on('data', data => {
        var HmacKey = data.toString();
        var result = { key: HmacKey, message: '' };
        resolve(result);
      });
      hmac.stderr.on('data', data => {
        console.log(data.toString());
      });
      hmac.on('error', data => {
        var result = { error: true, message: data.toString() };
        reject(result);
      });
    });
  }
};
