const connection = require('./connection');
const emailQueue = require('./email');
const uploadToContentQueue = require('./uploadToContent');
const passwordResetQueue = require('./password-reset');
const bulkPassChangeQueue = require('./local-user-bulk-password-change');
const cron = require('node-cron');
const task = require('../cronjobs/reset-password')

/* ############################################################################################################

FIX: CRON STARTING BEFORE RABBITMQ CONNECTION, CAUSING PASSWORD EXPIRY EMAIL SENDING FAIL 

###############################################################################################################*/

const schedulePasswordExpiry = () => {
  console.log("############################## STARTING PASSWORD EXPIRY CRON ##############################");
  return cron.schedule(
    '0 0 0 * * *',
    task,
    { scheduled: true }
  );
}

module.exports = () => {
  connection.createConnection(con => {
    emailQueue.init(con);
    uploadToContentQueue.init(con);
    passwordResetQueue.init(con);
    bulkPassChangeQueue.init(con);
    schedulePasswordExpiry();
  });
};
