
const { RoleBasedAccess } = require('../shared/constants/rbacConstant');
const { Roles } = require('../shared/enums/roleEnum');
const { APIMethod } = require('../shared/enums/apiMethodsEnum');
function isCurrentRoleAuthorized(role,controller,method,route,userExist){
    try{
        if(role === Roles.ADMIN){
            return true; // Admin can access all APIs
        }
        if((role === Roles.POLICY_ADMIN ||
            role === Roles.REPORT_VIEWER ||
            role === Roles.TEAM_MANAGER) && 
            (userExist?.is_first_login || !userExist?.is_question_changed)) {
            return true;
        }
        if(RoleBasedAccess[role]){
            let foundCon = RoleBasedAccess[role].allowedControllers.find(con=>con.name===controller);
            if(foundCon){
                if(foundCon.isAllAPIsAllowed){
                    return true; // Given User Role can Access All the APIs of current Controller
                }
                let foundAPIMethod = foundCon.allowedAPIs.find(api=>api.APIMethod===method);
                if(foundAPIMethod){
                   if(foundAPIMethod.isAllRoutesAllowed || foundAPIMethod.allowedRoutes.includes(route)){
                      return true;
                   }

                }
            }
        }else{
            console.log("Give Role access is not defined");
        }
    }
    catch(err){
        console.log(err);
    }

    return false;
}

module.exports = {isCurrentRoleAuthorized};