var express = require('express');
var router = express.Router();
var {getAlerts, purgeData, getAlertsNotification, getDistinctType, getDistinctSeverity, exportCSV} = require('../../dao/alerts');
var verifyUser = require('../../middlewares/verifyUser');
const verifyPermissions = require('../../middlewares/verifyPermissions');

router.get('/',verifyPermissions(['Alerts','Devices']), getAlerts);

router.get('/notifications', getAlertsNotification);

router.delete('/', verifyPermissions('Alerts'), purgeData);

router.get('/export-csv', verifyPermissions('Alerts'), verifyUser, exportCSV);

router.get('/distinctType',verifyPermissions('Alerts'), getDistinctType);

router.get('/distinctSeverity',verifyPermissions('Alerts'), getDistinctSeverity);

module.exports = router;
