var express = require('express');
var router = express.Router();
var models = require('../../models');
let language = require('./../common/language');

router.get('/:username', function(req, res, next) {
  models.Assign.findAll({
    include: [{ model: models.Service }],
    where: {
      ldapUserName: req.params['username']
    }
  }).then(function(data) {
    res.json(data);
  });
});

router.post('/', function(req, res, next) {
  var assignedService = req.body.assignedService;
  models.Assign.create(assignedService).then(function(data) {
    res.json({
      success: true,
      message: language.get['ADD_SUCCESS']
    });
  });
});

router.delete('/:serviceid/:ldapUserName', function(req, res) {
  let serviceid = req.params['serviceid'];
  let ldapUserName = req.params['ldapUserName'];
  models.Assign.destroy({
    where: {
      serviceid: serviceid,
      ldapUserName: ldapUserName
    }
  }).then(function(role) {
    res.json({
      success: true,
      message: language.get['REMOVE_SUCCESS']
    });
  });
});

module.exports = router;
