const express = require('express');
const router = express.Router();
let path = require('path');
let appDir = path.dirname(require.main.filename);
appDir = appDir.substring(0, appDir.lastIndexOf('/'));
const {
  getClients,
  purge,
  getLogs,
  exportCSV,
  getClientServices,
} = require('../../dao/clientAccessLogs');
var verifyUser = require('../../middlewares/verifyUser');
const verifyPermissions = require('../../middlewares/verifyPermissions');

/* GET client access log listing. */
router.get('/', verifyPermissions(['Devices','Client','Infrastructure Dashboard']), getLogs);

/* GET client access log listing. */
router.get('/clients', getClients);

router.delete('/purge', verifyPermissions('Client'), purge);

router.get('/export-csv', verifyUser, exportCSV);

router.get('/clientServices/:id', getClientServices);

module.exports = router;
