var express = require('express');
var router = express.Router();
const verifyPermissions = require('../../middlewares/verifyPermissions');

const {
    getCount,
    markersClients,
    markersControllers,
    getOs,
    test,
    userServices,
    userVolumes,
    serviceUsers,
    serviceVolumes,
    graph,
    getDevicesCount,
    getDeviceStatistics,
    getClientsStatistics,
    getTopSummary
} = require('../../dao/dashboard');

router.get('/count',verifyPermissions(['Dashboard','Services','Controllers', 'LDAP Configuration','Infrastructure Dashboard']), getCount);

router.get('/markers-clients',verifyPermissions('Dashboard'), markersClients);

router.get('/markers-controllers',verifyPermissions(['Dashboard','Infrastructure Dashboard']), markersControllers);

router.get('/os',verifyPermissions(['Dashboard','Infrastructure Dashboard']), getOs);

router.get('/test', verifyPermissions(['Dashboard', 'Infrastructure Dashboard']), test);

router.get('/graph/users/services',verifyPermissions(['Dashboard','Infrastructure Dashboard']), userServices)

router.get('/graph/users/volume',verifyPermissions(['Dashboard','Infrastructure Dashboard']), userVolumes)

router.get('/graph/services/users',verifyPermissions(['Dashboard','Infrastructure Dashboard']), serviceUsers)

router.get('/graph/services/volume',verifyPermissions(['Dashboard','Infrastructure Dashboard']), serviceVolumes)

router.get('/graph/devices/count',verifyPermissions(['Dashboard','Infrastructure Dashboard']), getDevicesCount);

router.get('/graph/devices/statistics',verifyPermissions(['Dashboard','Infrastructure Dashboard']), getDeviceStatistics);

router.get('/graph/utillization/:type',verifyPermissions(['Dashboard','Infrastructure Dashboard']), getClientsStatistics);

router.get('/graph',verifyPermissions(['Dashboard','Infrastructure Dashboard']), graph);

router.get('/top/summary',verifyPermissions('Dashboard'), getTopSummary);

module.exports = router;
