var router = require('express').Router();
const deviceValidator = require('../../validators/deviceInventory');
var validate = require('../../validators/validate');

const {
  downloadCsv,
  uploadCsv,
  addDevice,
  updateDevice,
  deleteDevice,
  getDevices
} = require('../../dao/deviceInventory');
const verifyPermisions = require('../../middlewares/verifyPermissions');


router.get('/', verifyPermisions('Infrastructure Dashboard'), getDevices);

router.delete('/:id', deleteDevice);

router.put('/:id', deviceValidator.updateInventory(), validate, updateDevice);

router.post('/addInventory', deviceValidator.addInventory(), validate, addDevice);

router.post('/', uploadCsv);

router.get('/downloadCsv', downloadCsv);

module.exports = router;
