var express = require('express');
var router = express.Router();
var models = require('../../models');
var validator = require('validator');
var moment = require('moment');
let helper = require('./../common/helper');
let language = require('./../common/language');
let settings = require('./../common/settings');
var projectConfig = require('../../config/config')['project'][
  process.env.NODE_ENV
];
var path = require('path');
var fs = require('fs');
let fileTypeMeta = {
  ubuntu: 'deb',
  windows: 'exe',
  macintosh: 'pkg',
  ubuntuserver: 'deb',
  ubuntuserver18: 'deb',
  ubuntu18: 'deb',
  android: 'apk',
  ios: 'ipa'
};
let installerTypeMeta = {
  ubuntu: 'linux64-16',
  windows: 'win64',
  macintosh: 'mac',
  ios: 'ios',
  android: 'android',
  ubuntuserver: 'linux64-d-16',
  ubuntu18: 'linux64-18',
  ubuntuserver18: 'linux64-d-18'
};
const md5File = require('md5-file');

var emailLinkExpiryInMinutes = 60;

async function setExpiryTime() {
  emailLinkExpiryInMinutes = await settings.getExpirySettings();
}

router.get('/android/', (req, res) => {
  let device_os = 'android';
  let folderPath =
    `${projectConfig.serviceInstallerPath}/client/input/` + device_os;
  let os = device_os;
  var filePath = `${folderPath}/installer.` + fileTypeMeta[os];
  console.log('DOWNLOAD FILE PATH IS ' + filePath);
  var downloadFile = `installer.` + fileTypeMeta[os];
  if (fs.existsSync(filePath)) {
    res.download(filePath, downloadFile, function(err) {
      if (!err) {
        console.log('Android File downloaded');
      } else {
        res.status(404).send(language.get['PACKAGE_DOWNLOAD_FAILED']);
      }
    });
  } else {
    let message =
      'Unable to find installation package for client component, please request for installer';
    helper.sendEmailLinkErrorHtmlResponse(message, 404, res);
  }
});

module.exports = router;
