const router = require('express').Router();
const gatewayGroup = require('../../dao/gatewaygroup');
var gatewayGroupValidator = require('../../validators/gatewaygroup');
var validate = require('../../validators/validate');
const verifyPermissions = require('../../middlewares/verifyPermissions');

router.get('/', verifyPermissions('Gateways Groups'), gatewayGroup.getGroups);

router.get('/:id(\\d+)', verifyPermissions('Gateways Groups'),  gatewayGroup.getGroupById);

router.get('/dropdown', verifyPermissions('Services'), gatewayGroup.dropdown);
router.get('/gateways/:groupId', verifyPermissions('Gateways Groups'),  gatewayGroup.getGatewaysOfGroup);
router.get('/services/:groupId', verifyPermissions('Gateways Groups'), gatewayGroup.getServicesOfGroup);
// router.get('/serviceGroups/:groupId', gatewayGroup.getServicesGroupsOfGatewayGroups);
// router.get('/dropdown', gatewayGroup.dropdown);

router.post('/',
  gatewayGroupValidator.createGatewayGroup(),
  validate,
  verifyPermissions('Gateways Groups'),
  gatewayGroup.createGroup
);

router.delete('/:id(\\d+)',
  gatewayGroupValidator.deleteGatewayGroup(),
  validate,
  verifyPermissions('Gateways Groups'),
  gatewayGroup.deleteGroup
);

router.put('/:id(\\d+)',
  gatewayGroupValidator.updateGatewayGroup(),
  validate,
  verifyPermissions('Gateways Groups'),
  gatewayGroup.updateGroup
);

router.delete('/bulk', verifyPermissions('Gateways Groups'), gatewayGroup.bulkDeleteGroups);

module.exports = router;
