var express = require('express');
var router = express.Router();
const {
  getWorkLoad,
  getMicrosegment,
  getPorts,
  getEditPorts,
  createDestinationPort,
  createMicrosegment,
  getMicrosegments,
  getMicrosegmentDestinations,
  deleteMicrosegment,
  getWorkloadMicrosegments,
  deleteMicrosegmentDestination,
  discoverMicrosegments,
  discoverAllMicrosegments
} = require('../../dao/microsegments');
const verifyPermisions = require('../../middlewares/verifyPermissions');

router.get('/workload/:id', getWorkLoad);
router.get('/microsegment/:id/:deviceId', getMicrosegment);
router.get('/discover/:workloadId',verifyPermisions('Workloads'), discoverMicrosegments);
router.get('/discover/',verifyPermisions('Microsegments'), discoverAllMicrosegments);
router.get('/ports/:microsegmentId/:destination', getPorts);
router.post('/ports/:microsegmentId', getEditPorts);
router.post('/destination-port/create', createDestinationPort);
router.post('/create', createMicrosegment);
router.get('/', getMicrosegments);
router.get('/microsegmentDestinations', getMicrosegmentDestinations);
router.delete('/:id/', deleteMicrosegment);
router.post('/destinationDevice/:id', deleteMicrosegmentDestination);
router.get('/workloadMicrosegments/:id', getWorkloadMicrosegments);

module.exports = router;
