var express = require('express');
var router = express.Router();
var models = require('../../models');
var path = require('path');
var url = require('url');
var http = require('http');
var https = require('https');
var archiver = require('archiver');
var projectConfig = require('../../config/config')['project'][
  process.env.NODE_ENV
];
var appDir = path.dirname(require.main.filename);
const moment = require('moment');
let language = require('./../common/language');

router.get('/redirect/:token/:devid', function(req, res, next) {
  let key = new Buffer(req.params.token, 'base64').toString('ascii');
  let os = key.split(':')[1];
  let emailLink = '';
  let notfoundurl = 'https://' + req.headers.host + '/web/notfound';
  if (projectConfig.onPremApiUrl.includes(req.headers.host)) {
    if (os === 'android') {
      emailLink = `http://www.invisily.com?url=${projectConfig.onPremApiUrl}/clients/download/service/`;
      emailLink +=
        req.params.token +
        `&api=${projectConfig.onPremApiUrl}/deviceid/add/serve/` +
        encodeURI(req.params.devid);
    } else if (os === 'ios') {
      emailLink = `sdpclient://?url=${projectConfig.onPremApiUrl}/clients/download/service/`;
      emailLink +=
        req.params.token +
        `&api=${projectConfig.onPremApiUrl}/deviceid/add/serve/` +
        encodeURI(req.params.devid);
    } else {
      res.redirect(notfoundurl);
    }
  } else {
    if (os === 'android') {
      emailLink = `http://www.invisily.com?url=${projectConfig.offPremApiUrl}/clients/download/service/`;
      emailLink +=
        req.params.token +
        `&api=${projectConfig.offPremApiUrl}/deviceid/add/serve/` +
        encodeURI(req.params.devid);
    } else if (os === 'ios') {
      emailLink = `sdpclient://?url=${projectConfig.offPremApiUrl}/clients/download/service/`;
      emailLink +=
        req.params.token +
        `&api=${projectConfig.offPremApiUrl}/deviceid/add/serve/` +
        encodeURI(req.params.devid);
    } else {
      res.redirect(notfoundurl);
    }
  }
  if (key) {
    let buffer = new Buffer(emailLink).toString('base64');
    let webUiLink = `${projectConfig.onPremUiUrl}/onboard/${buffer}`;
    res.redirect(webUiLink);
  } else {
    res.redirect(notfoundurl);
  }
});

module.exports = router;
