/**
 * Created by haseeb ahmad on 13/02/2017.
 */

var express = require('express');
var router = express.Router();
var models = require('../../models');
let language = require('./../common/language');

/* GET permissions listing. */
router.get('/', function(req, res, next) {
  models.Permission.findAll({
    include: [
      {
        model: models.Role,
        through: {
          attributes: ['id', 'title', 'description']
        }
      }
    ]
  }).then(function(data) {
    res.json(data);
  });
});

// get single permission
router.get('/:id', function(req, res) {
  models.Permission.find({
    include: [{ model: models.Role }],
    where: {
      id: req.params.id
    }
  }).then(function(permission) {
    res.json(permission);
  });
});

// update single permission
router.put('/:id', function(req, res) {
  models.Permission.find({
    where: {
      id: req.params.id
    }
  }).then(function(permission) {
    if (permission) {
      permission.update(req.body).then(function(data) {
        if (req.body.roles) {
          length = req.body.roles.length;
          for (var i = 0; i < length; i++) {
            data.setRoles(parseInt(req.body.roles[i]));
          }
        }

        res.send(data);
      });
    }
  });
});

//create role and add permissions
//data is an array with the role fields plus
//an attribute named 'permissions' which is an array of permissions
//[{id: 1}, {id: 2}] like so
router.post('/', function(req, res, next) {
  var permission = req.body;
  models.Permission.create(permission).then(function(data) {
    if (permission.roles) {
      length = permission.roles.length;
      for (var i = 0; i < length; i++) {
        data.setRoles(parseInt(permission.roles[i]));
      }
    }
    res.json(data);
  });
});

// delete a single role
router.delete('/:id', function(req, res) {
  models.Permission.destroy({
    where: {
      id: req.params.id
    }
  }).then(function(role) {
    role.removeRoles;
    res.json(role);
  });
});

module.exports = router;
