var express = require('express');
var router = express.Router();
const verifyPermissions = require('../../middlewares/verifyPermissions');

var {
    servicesSummary, 
    userServicesSummary, 
    getServices, 
    getClients,
    servicesSummaryGraph,
    userServicesSummaryGraph,
    devicesReports,
    exportCSVDevices,
    servicesReports,
    exportCSVServices,
    WithoutRoutingpolicyReports,
    UnUsedpolicyReports,
    PolicyExportCSV,
    InfrastructureControllersReports,
    InfrastructureGatewaysReports,
    InfrastructureExportCSV,
    usersReports,
    usersSessionReports,
    usersAuthenticationFailedReports,
    usersSessionFailedReports,
    UnassignedServicespolicyReports,
    onboardingClientsReport,
    servicesAccessedByUsers,
    serviceToUserReport
} = require('../../dao/reports');


router.get('/services/summary',verifyPermissions(['All Reports','Services']), servicesSummary);

router.get('/devices/reports',verifyPermissions(['All Reports', 'Devices Reports']), devicesReports);

router.get('/devices/export-csv', exportCSVDevices);

router.get('/services/reports',verifyPermissions('Services Reports'), servicesReports);

router.get('/services/export-csv', exportCSVServices);

router.get('/policy/unused/reports',verifyPermissions(['All Reports','Policy Reports']), UnUsedpolicyReports);

router.get('/policy/withoutrouting/reports',verifyPermissions(['All Reports','Policy Reports']), WithoutRoutingpolicyReports);

router.get('/policy/unassigned-services/reports',verifyPermissions(['All Reports','Policy Reports']), UnassignedServicespolicyReports);

router.get('/policy/export-csv', PolicyExportCSV);

router.get('/infrastructure/controllers/reports',verifyPermissions(['All Reports', 'Infrastructure Reports']), InfrastructureControllersReports);

router.get('/infrastructure/gateways/reports',verifyPermissions(['All Reports','Infrastructure Reports']), InfrastructureGatewaysReports);

router.get('/infrastructure/export-csv', InfrastructureExportCSV);

router.get('/users/services/summary',verifyPermissions('All Reports'), userServicesSummary);

router.get('/services/summary/graph',verifyPermissions('All Reports'), servicesSummaryGraph);

router.get('/users/services/summary/graph',verifyPermissions('All Reports'), userServicesSummaryGraph);

router.get('/services',verifyPermissions(['All Reports','Services Reports']), getServices);

router.get('/clients',verifyPermissions(['All Reports','Users Reports']), getClients);

router.get('/users/reports',verifyPermissions(['All Reports','Users Reports']), usersReports);

router.get('/users/SessionReports', verifyPermissions('Users'), usersSessionReports);

router.get('/users-authentication-failed/reports',verifyPermissions(['All Reports','Users Reports']), usersAuthenticationFailedReports);

router.get('/users-Session-authentication-failed/reports', usersSessionFailedReports);

router.get('/onboarding-clients/reports',verifyPermissions('Onboarding Reports'), onboardingClientsReport);

router.get('/services-accessed-by-users/reports',verifyPermissions('Users Reports'), servicesAccessedByUsers)
router.get('/services-to-user/reports',verifyPermissions('Services Reports'),serviceToUserReport)

module.exports = router;