/**
 * Created by haseeb ahmad on 13/02/2017.
 */

var express = require('express');
var router = express.Router();
var models = require('../../models');
let language = require('./../common/language');

/* GET roles listing. */
router.get('/', function(req, res, next) {
  models.Role.findAll().then(function(data) {
    res.json(data);
  });
});

// get single role
router.get('/:id', function(req, res) {
  models.Role.find({
    include: [{ model: models.Permission }],
    where: {
      id: req.params.id
    }
  }).then(function(role) {
    res.json(role);
  });
});

//create role and add permissions
//data is an array with the role fields plus
//an attribute named 'permissions' which is an array of permissions
//[{id: 1}, {id: 2}] like so
router.post('/', function(req, res, next) {
  var role = req.body;
  models.Role.create(role).then(function(data) {
    if (role.permissions) {
      length = role.permissions.length;
      for (var i = 0; i < length; i++) {
        data.setPermissions(parseInt(role.permissions[i]));
      }
    }
    res.json(data);
  });
});

// update single role
router.put('/:id', function(req, res) {
  models.Role.find({
    where: {
      id: req.params.id
    }
  }).then(function(role) {
    if (role) {
      role.update(req.body).then(function(data) {
        if (req.body.permissions) {
          length = req.body.permissions.length;
          for (var i = 0; i < length; i++) {
            data.setPermissions(parseInt(req.body.permissions[i]));
          }
        }

        res.send(data);
      });
    }
  });
});

// delete a single role
router.delete('/:id', function(req, res) {
  models.Role.destroy({
    where: {
      id: req.params.id
    }
  }).then(function(role) {
    role.removePermissions;
    res.json(role);
  });
});

module.exports = router;
