/**
 * Created by syedrazakhalid on 13/12/2016.
 */

/**
 * Created by syedrazakhalid on 07/12/2016.
 */
var express = require('express');
var router = express.Router();
var models = require('../../models');
var moment = require('moment');
var validator = require('validator');
let language = require('./../common/language');
const validatePassword = require('../../middlewares/validatePassword');
var validate = require('../../validators/validate');
var serviceValidator = require('../../validators/services');
var verifyUser = require('../../middlewares/verifyUser');
const verifyPermissions = require('../../middlewares/verifyPermissions');

var {
  deleteBulkServices,
  deleteService,
  addService,
  getService,
  getAllowedServiceEndpoints,
  notassociated,
  associated,
  getallforgateway,
  getServices,
  getDevices,
  getAllServices,
  assignToAll,
  unassignToAll,
  updateService,
  servicesAvailable,
  getAllTypesAndProtocols,
  getQuickServices,
  getServiceDetail
} = require('../../dao/services');

/* GET service listing. */
router.get('/all', verifyPermissions(['Services','Service Groups','Infrastructure Dashboard','Dashboard']), getAllServices);

router.get('/type/protocol',verifyPermissions(['Services','Service Groups']), getAllTypesAndProtocols);

router.get('/', getServices);

router.get('/devices', verifyPermissions('Services'), getDevices);

router.get('/getallforgateway/', verifyPermissions('Gateways'), getallforgateway);

router.get('/associated/', verifyPermissions(['End User Clients','Server Side Client']), associated);

router.get('/notassociated/', notassociated);

router.get('/quick', getQuickServices);

router.get('/available', servicesAvailable);

// Assign service to all
router.post('/assignToAll', verifyPermissions('Services'), assignToAll);

// Un-assign service to all
router.post('/unassignToAll', verifyPermissions('Services'), unassignToAll);

router.put('/:id', serviceValidator.updateService(), validate, verifyPermissions('Services'), updateService);

/* Get a single service detail */
router.get('/:id',verifyPermissions('Services'), getService);

/* Get a single service detail */
router.get('/detail/:id',verifyPermissions('Services'), getServiceDetail);
// add new service
router.post('/',serviceValidator.createService(), verifyUser, validate, verifyPermissions('Services'), addService);

//delete multiple services
router.delete('/deleteBulkServices', validatePassword, verifyPermissions('Services'), deleteBulkServices);

// delete a single service
router.delete('/:id', validatePassword, verifyPermissions('Services'), deleteService);

module.exports = router;
