const router = require('express').Router();
const domainValidator = require('../../validators/validDomains');
const validate = require('../../validators/validate');
const {
  getDomains,
  addDomain,
  updateDomain,
  deleteDomain
} = require('../../dao/validDomains');
const verifyPermisions = require('../../middlewares/verifyPermissions');


router.get('/', verifyPermisions(['Users','Portal Settings']), getDomains);
router.post('/', domainValidator.addDomain(), validate, addDomain);
router.put('/:id', domainValidator.updateDomain(), validate, updateDomain);
router.delete('/:id', domainValidator.deleteDomain(), validate, deleteDomain);


module.exports = router;
