const client = require('../../config/cache');

const actionType = {
    ADDED: 0,
    UPDATED: 1,
    DELETED: 2
}

const channel = {
    CLIENTS: 'Clients',
    GATEWAYS: 'Gateways',
    SERVICES: 'Services',
    CORE_SETTINGS: 'CoreSettings',
    LICENSE: 'License',
    SOFTWARE: 'Software',
    MISC : 'Miscellaneous',
    // USER_GROUPS: 'UserGroups'
};

const messageType = {
    CLIENTS: 'Clients',
    TRUSTED_HOSTS: 'TrustedHosts',
    USER_GROUPS: 'CustomUserGroups',
    CLIENT_SETTINGS: 'ClientSettings',
    SERVER_BRIDGE_DEVICE_IDS: 'ServerBridgeDeviceIDs',
    GATEWAYS: 'Gateways',
    GATEWAY_SUBNET: 'GatewaySubnet',
    GATEWAY_SOFTWARE: 'GatewaySoftware',
    GATEWAY_SETTINGS: 'GatewaySettings',
    GATEWAY_GROUPS: 'GatewayGroups',
    SERVICES: 'Services',
    POLICIES: 'Policies',
    SERVICE_GROUPS: 'ServiceGroups',
    CLIENT_GROUPS: 'ClientGroups',
    LDAP: 'LDAP',
    SIEM: 'SIEM',
    PROFILING_SERVER_CONFIG : 'ProfilingServerConfig',
    MSGFILE: 'MsgFile',
    LICENSE: 'License',
    MAX_CLIENTS: 'Max_Clients',
    CONTROLLERS: 'Controllers',
    CONTROLLER_CONFIGURATION: 'ControllerConfiguration',
    WHITELISTED_HOSTS: "WhitelistedHosts",
    CONTROLLER_SOFTWARE: 'ControllerSoftware',
    LOGOUT: 'LogOut',
    ROUTING_POLICY: 'RoutingPolicy',
    SECURITYPOLICY: 'SecurityPolicy',
    OSPOLICY: 'OSPolicy',
    SOFTWAREPOLICY: 'SoftwarePolicy',
    BLOCKED_SERVICES: 'BlockedServices',
    PROCESSPOLICY: 'SoftwareProcessPolicy',
    ACCESSPOLICY: 'Entitlement',
    DATAVOLUMEPOLICY : 'DataVolumePolicy',
    AUTO_UPDATE: "AutoUpdate",
    NEWSOFTWARE: 'NewSoftware',
    UPDATESOFTWARE: 'UpdateSoftware',
    REMOVESOFTWARE: 'RemoveSoftware',
    MICROSEGMENT: 'Microsegment',
    DEVICE: 'Device',
    WORKLOAD: 'Workload',
    S2SDiscovery: 'S2sDiscoveryData',
    CLIENTSFORCEONBOARD: 'ForceReonboard',
    START_DISCOVERY: 'start_discovery',
    STOP_DISCOVERY: 'stop_discovery',
}

const publishClients = eventFactory(channel.CLIENTS, messageType.CLIENTS);

const publishDevices = eventFactory(channel.MISC, messageType.DEVICE);

const publishMsgFile = eventFactory(channel.CLIENTS, messageType.MSGFILE);

const publishTrustedHosts = eventFactory(channel.CLIENTS, messageType.TRUSTED_HOSTS);

const publishUserGroups = eventFactory(channel.CLIENTS, messageType.USER_GROUPS);

const publishClientSettings = eventFactory(channel.CLIENTS, messageType.CLIENT_SETTINGS);

const publishLogOut = eventFactory(channel.CLIENTS, messageType.LOGOUT);

const publishServerBridgeDeviceIDs = eventFactory(channel.CLIENTS, messageType.SERVER_BRIDGE_DEVICE_IDS); 

const publishGateways = eventFactory(channel.GATEWAYS, messageType.GATEWAYS);

const publishGatewaySubnet = eventFactory(channel.GATEWAYS, messageType.GATEWAY_SUBNET);

const publishGatewaySettings = eventFactory(channel.GATEWAYS, messageType.GATEWAY_SETTINGS);

const publishGatewayGroups = eventFactory(channel.GATEWAYS, messageType.GATEWAY_GROUPS);

const publishMsgFileGateways = eventFactory(channel.GATEWAYS, messageType.MSGFILE);

const publishRoutingPolicy = eventFactory(channel.GATEWAYS, messageType.ROUTING_POLICY);

const publishServices = eventFactory(channel.SERVICES, messageType.SERVICES);

const publishServiceGroups = eventFactory(channel.SERVICES, messageType.SERVICE_GROUPS);

const publishClientGroups = eventFactory(channel.SERVICES, messageType.CLIENT_GROUPS);

const publishAccessPolicy = eventFactory(channel.SERVICES, messageType.ACCESSPOLICY);

const publishDataVolumePolicy = eventFactory(channel.SERVICES, messageType.DATAVOLUMEPOLICY);

const publishSecurityPolicy = eventFactory(channel.SERVICES, messageType.SECURITYPOLICY);

const publishOsPolicy = eventFactory(channel.SERVICES, messageType.OSPOLICY);

const publishSoftwarePolicy = eventFactory(channel.SERVICES, messageType.SOFTWAREPOLICY);

const publishBlockedServices = eventFactory(channel.SERVICES, messageType.BLOCKED_SERVICES);

const publishProcessPolicy = eventFactory(channel.SERVICES, messageType.PROCESSPOLICY);

const publishSoftwareAdd = eventFactory(channel.SOFTWARE, messageType.NEWSOFTWARE);

const publishSoftwareUpdate = eventFactory(channel.SOFTWARE, messageType.UPDATESOFTWARE);

const publishSoftwareRemove = eventFactory(channel.SOFTWARE, messageType.REMOVESOFTWARE);

const publishMicrosegmentAdd = eventFactory(channel.MISC, messageType.MICROSEGMENT);

const publishMicrosegmentUpdate = eventFactory(channel.MISC, messageType.MICROSEGMENT);

const publishMicrosegmentRemove = eventFactory(channel.MISC, messageType.MICROSEGMENT);

const publishLDAP = eventFactory(channel.CORE_SETTINGS, messageType.LDAP);

const publishCoreAutoUpdate = eventFactory(channel.CORE_SETTINGS, messageType.AUTO_UPDATE);

const publishControllerConfiguration = eventFactory(channel.CORE_SETTINGS, messageType.CONTROLLER_CONFIGURATION);

const publishWhiteListedHosts = eventFactory(channel.CORE_SETTINGS, messageType.WHITELISTED_HOSTS);

const publishSIEM = eventFactory(channel.CORE_SETTINGS, messageType.SIEM);

const publishMaxClients = eventFactory(channel.CORE_SETTINGS, messageType.MAX_CLIENTS);

const publishControllers = eventFactory(channel.CORE_SETTINGS, messageType.CONTROLLERS);

const publishControllerSoftware = eventFactory(channel.CORE_SETTINGS, messageType.CONTROLLER_SOFTWARE);

const publishGatewaySoftware = eventFactory(channel.CORE_SETTINGS, messageType.GATEWAY_SOFTWARE);

const publishLicense = eventFactory(channel.LICENSE, messageType.LICENSE);

const publishStartDiscovery = eventFactory(channel.MISC, messageType.START_DISCOVERY);

const publishStopDiscovery = eventFactory(channel.MISC, messageType.STOP_DISCOVERY);

const publishWorkloadUpdate = eventFactory(channel.MISC, messageType.WORKLOAD);

const publishWorkloadAdd = eventFactory(channel.MISC, messageType.WORKLOAD);

const publishWorkloadDelete = eventFactory(channel.MISC, messageType.WORKLOAD);
const publishWorkload = eventFactory(channel.MISC, messageType.S2SDiscovery);

const publishForceOnboard = eventFactory(channel.CLIENTS, messageType.CLIENTSFORCEONBOARD);

const publishProfilingConfig = eventFactory(channel.CORE_SETTINGS, messageType.PROFILING_SERVER_CONFIG);

function eventFactory(_channel, _msg_type){
    return (event, message) => {
        let obj = {
            ...message,
            event
        };
        
        if(!([
            messageType.NEWSOFTWARE, messageType.UPDATESOFTWARE, messageType.REMOVESOFTWARE
        ].includes(_msg_type))) {
            obj = {
                ...obj, 
                msg_type: _msg_type
            };
        }
    
        const _message = JSON.stringify(obj);
        console.log('sending pub sub', _channel, _message)
        return client.publishAsync(_channel, _message);
    }
}

const clientColumnsToPublish = [
    'is_active',
    'is_local_deleted',
    'is_ldap_deleted',
    'biometric_state',
    'client_mfa',
    'client_darkening',
    'risk_score'
];

module.exports = {
    publishClients,
    publishDevices,
    publishTrustedHosts,
    publishUserGroups,
    publishClientSettings,
    publishServerBridgeDeviceIDs,
    publishGateways,
    publishGatewaySubnet,
    publishGatewaySettings,
    publishGatewayGroups,
    publishServices,
    publishServiceGroups,
    publishClientGroups,
    publishLDAP,
    publishSIEM,
    publishMsgFile,
    publishMsgFileGateways,
    publishMaxClients,
    publishLicense,
    publishControllers,
    publishGatewaySoftware,
    publishLogOut,
    publishRoutingPolicy,
    publishAccessPolicy,
    publishDataVolumePolicy,
    publishSecurityPolicy,
    publishOsPolicy,
    publishControllerSoftware,
    actionType,
    publishCoreAutoUpdate,
    clientColumnsToPublish,
    publishControllerConfiguration,
    publishWhiteListedHosts,
    publishSoftwarePolicy,
    publishProcessPolicy,
    publishSoftwareAdd,
    publishSoftwareUpdate,
    publishSoftwareRemove,
    publishBlockedServices,
    publishWorkloadUpdate,
    publishWorkloadAdd,
    publishWorkloadDelete,
    publishWorkload,
    publishForceOnboard,
    publishProfilingConfig,
    publishStartDiscovery,
    publishStopDiscovery
}