const subscriber = require('../../config/redisSubscription');
const models = require('../../models');
const { createAdmin } = require('../../dao/license');

const channel = {
  CLIENTS: 'Clients',
  LICENSE: 'License'
};

const messageType = {
  CLIENTS: 'Clients',
  NEW_LICENSE: 'New_License'
};

subscriber.on('message', async (channel, message) => {
  console.log(`Received the following message from ${channel}: ${message}`);

  parsedData = JSON.parse(message);
  const { id, msg_type } = parsedData;
  if (msg_type === messageType.NEW_LICENSE) {
    const license = await models.License.findOne({
      where: {
        id: id
      }
    });

    // only create user if license exists (no license data in table)
    if (license) {
      const user = await models.User.findAll();
      
      if (user && user.length === 1) {
        console.log('Creating Admin with email: ', license.licensee_email);
        let err = await createAdmin(license.licensee_email);
        if (err !== null) {
          console.log(err);
        }
      }
    }
  }
});

async function subscribeToLicense() {
  await subscriber.subscribe(channel.LICENSE, (channel, message) => {
    console.log(`Subscriber listening on ${message} channel`);
  });
}

module.exports = subscribeToLicense;
