/**
 * Created by syedrazakhalid on 13/12/2016.
 */

/**
 * Created by syedrazakhalid on 07/12/2016.
 */
var express = require('express');
var router = express.Router();
var models = require('../../models');

/* GET users listing. */
router.get('/:pageSize/:page', function(req, res, next) {
  let page = req.params['page'];
  let pageSize = parseInt(req.params['pageSize']);
  let pageOffset = (page - 1) * pageSize;
  models.User.findAll({
    include: [{ model: models.Role }],
    where: { },
    limit: pageSize,
    offset: pageOffset
  }).then(function(data) {
    const response = {
      users: data
    };
    models.User.count({ }).then(function(totalUsers) {
      response.total = totalUsers;
      res.json(response);
    });
  });
});

// update single user
router.put('/:id', function(req, res) {
  models.User.find({
    where: {
      id: req.params['id']
    }
  }).then(function(user) {
    if (user) {
      user.update(req.body.user).then(function(data) {
        if (req.body.user.roles) {
          data.setRoles(parseInt(req.body.user.roles));
        }
        res.json({
          success: true,
          message: 'Update Successfully'
        });
      });
    }
  });
});

/* Get a single user detail */
router.get('/:id', function(req, res, next) {
  models.User.findAll({
    include: [{ model: models.Role }],
    where: {
      id: req.params['id']
    }
  }).then(function(data) {
    res.json(data);
  });
});

// add new user
router.post('/', function(req, res, next) {
  var user = req.body.user;
  models.User.create(user).then(function(data) {
    if (req.body.user.roles) {
      data.setRoles(parseInt(req.body.user.roles));
    }
    res.json({
      success: true,
      message: 'Add Successfully'
    });
  });
});

// check email validity
router.post('/duplicationCheck', function(req, res, next) {
  var body = req.body;

  models.User.find({
    where: {
      email: body.value
    }
  }).then(function(user) {
    if (user) {
      res.send(400);
    } else {
      res.send(200);
    }
  });
});

// delete a single user
router.delete('/:id', function(req, res) {
  models.User.find({
    where: {
      id: req.params['id']
    }
  }).then(function(user) {
    if (user) {
      await user.destroy();
      res.json({
        success: true,
        message: 'Delete Successfully'
      });
    }
  });
});

module.exports = router;
