#!/bin/bash

function resolveDependencies() { 

echo "Resolving Dependencies..."
[ ! -f " which brew " ] && ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" < /dev/null 2> /dev/null


brew install openssl

}

function installClient() {

ABSPATH=$(cd "$(dirname "$0")"; pwd)
cd $ABSPATH 
pwd 

if hdiutil attach installer.dmg; then
	printf 'Device mounted successfully!\n'
	pwd
else
	printf 'Device not found!\n'
fi

if cd /Volumes/Invisily; then
	printf 'Device accessed successfully!\n'
	pwd
	history -c
	sudo cp -R Invisily.app /Applications/
	cd $ABSPATH
	sudo cp settings.cfg  /Applications/Invisily.app/Contents/Resources
	sudo cp -R certs  /Applications/Invisily.app/Contents/Resources
	hdiutil detach /Volumes/Invisily
	echo "Invisily-Mac-Client installed successfully..."
else
	printf 'Device unavailable!\n'
fi

}

function assignPermissions() {

if ! grep "$USER ALL=(ALL) NOPASSWD: /Applications/Invisily.app/Contents/MacOS/Invisily" /etc/sudoers > /dev/null; then

	sudo cp /etc/sudoers /etc/sudoers.bak
	echo "$USER ALL=(ALL) NOPASSWD: /Applications/Invisily.app/Contents/MacOS/Invisily" | sudo tee -a /etc/sudoers > /dev/null
fi

if ! grep "$USER ALL=(ALL) NOPASSWD: /Applications/Invisily.app/Contents/MacOS/InvisilyClient" /etc/sudoers > /dev/null; then

	echo "$USER ALL=(ALL) NOPASSWD: /Applications/Invisily.app/Contents/MacOS/InvisilyClient" | sudo tee -a /etc/sudoers > /dev/null
fi

}

resolveDependencies
installClient
assignPermissions

exit 0

