#!/bin/bash

if [ $# -eq 0 ]; then
    echo "no argument is supllied, you should give DB username and password as argument"
    echo "$0 \$controller_db_user \$controller_db_pass"
    echo "Exiting..."
    exit 1
elif [ $# -lt 2 ]; then
    echo "you should give DB username and password as argument"
    echo "$0 \$controller_db_user \$controller_db_pass"
    echo "Exiting..."
    exit 1
elif [ $# -gt 2 ]; then
    echo "you should give DB username and password as argument"
    echo "$0 \$controller_db_user \$controller_db_pass"
    echo "Exiting..."
    exit 1
fi

cur_dir=$(pwd)
dPath=/tmp/ctrl_rup
[[ -d $dPath ]] && rm -rf $dPath
[[ ! -d $dPath ]] && mkdir -p $dPath

cred_file="$dPath/rup.txt"
key_file="$dPath/rupk.txt"
iv_file="$dPath/rupi.txt"
enc_file="$dPath/rup.ec"
tmp_file="$dPath/tmp.txt"

echo "script for controller..."

#1
db_user=$1
db_pass=$2

#2
textstr="$db_user"
textstr+=$'\n'
textstr+="$db_pass"
textstr+=$'\n'

#3
padlen=$((16 - ${#textstr} % 16))

#4
echo -n "$textstr" > $cred_file
for ((i = 0; i < $padlen; i++)); do
    echo -n -e '\x00' >> $cred_file
done

#5
while true; do
    key=$(dd if=/dev/urandom bs=32 count=1)
    echo -n -e $key > $key_file
    filesize=$(wc -c $key_file | awk '{print $1}')
    if [ $filesize -eq 32 ]; then
        break
    fi
    sleep 1
done

#6
hexkey_wdspaces=$(echo -n $key | xxd -p)
printf -v hexkey '%s' $hexkey_wdspaces

#7
while true; do
    iv=$(dd if=/dev/urandom bs=16 count=1)
    echo -n -e $iv > $iv_file
    filesize=$(wc -c $iv_file | awk '{print $1}')
    if [ $filesize -eq 16 ]; then
        break
    fi
    sleep 1
done

#8
hexiv_wdspaces=$(echo -n $iv | xxd -p)
printf -v hexiv '%s' $hexiv_wdspaces

#9
openssl enc -aes-256-cbc -nosalt -nopad -iv $hexiv -K $hexkey -in $cred_file -out $tmp_file

#10
cat $iv_file $tmp_file > $enc_file

#11
rm $cred_file
rm $tmp_file
rm $iv_file

echo "$key_file and $enc_file generated successfully for controller..."