#!/bin/bash
if [ $# -eq 0 ]; then
    echo "no argument is supllied, you should give Local User username, password and hmac key of gateway as argument"
    echo "$0 \$gw_local_user \$gw_local_user_password \$hmac_of_gateway"
    echo "Exiting..."
    exit 1
elif [ $# -lt 3 ]; then
    echo "you should give Local User username, password and hmac key of gateway as argument"
    echo "$0 \$gw_local_user \$gw_local_user_password \$hmac_of_gateway"
    echo "Exiting..."
    exit 1
elif [ $# -gt 3 ]; then
    echo "you should give Local User username, password and hmac key of gateway as argument"
    echo "$0 \$gw_local_user \$gw_local_user_password \$hmac_of_gateway"
    echo "Exiting..."
    exit 1
fi

cur_dir=$(pwd)
dPath=/tmp/gw_rlup
[[ -d $dPath ]] && rm -rf $dPath
[[ ! -d $dPath ]] && mkdir -p $dPath

cred_file="$dPath/rlup.txt"
enc_file="$dPath/rlup.enc"

echo "getting arguments"
gw_user=$1
gw_pass=$2
hmac_key=$3

echo "creating text file"
echo $gw_user > $cred_file
echo $gw_pass >> $cred_file

echo "encrypting text file"
$(openssl enc -aes-256-cbc -salt -a -in ${cred_file} -out ${enc_file} -pass pass:${hmac_key})

echo "removing text file"
rm $cred_file

echo "script ran successfully"

cd $cur_dir
