#!/bin/bash

echo "invisily-client installation ..."

echo "invisily-client checking previous installation ..."


sudo apt-get purge invisily-client -y

sudo chmod a+x *;

sudo apt-get install  ./*.deb -y;


echo "invisily-client post install : finishing step one ..."

if [ -d "/opt/invisily/linuxclient/bin/certs" ]; then
  sudo rm -rf  /opt/invisily/linuxclient/bin/certs 
fi
 
if [ -d "./certs" ]; then
  sudo mv -f ./certs /opt/invisily/linuxclient/bin/ 
else
  echo "invisily-client post install : Error finishing step one failed ..."
  exit 1
fi

echo "invisily-client post install : finishing step two ..."

if [ -f "/opt/invisily/linuxclient/bin/settings.cfg" ]; then
   sudo rm -rf /opt/invisily/linuxclient/bin/settings.cfg 
fi

if [ -f "./settings.cfg" ]; then
   sudo mv -f ./settings.cfg /opt/invisily/linuxclient/bin/ 
else
  echo "invisily-client post install : finishing step two failed ..."
  exit 1
fi


echo "invisily-client post install : finishing step three ..."

if ! grep "$SUDO_USER ALL=(ALL) NOPASSWD: /opt/invisily/linuxclient/bin/invisily" /etc/sudoers > /dev/null ; then

  sudo cp /etc/sudoers /etc/sudoers.bak
  echo "$SUDO_USER ALL=(ALL) NOPASSWD: /opt/invisily/linuxclient/bin/invisily" | sudo tee -a /etc/sudoers > /dev/null

  
fi

echo "invisily-client installed successfully ..."




