#!/bin/bash

echo "invisily-client packaging script started..."

currpath=$1

echo "script run path: $currpath"

if [ -d "$currpath/linuxclient_temp" ]; then
  rm -rf  $currpath/linuxclient_temp 
fi

if [ -f "$currpath/invisily_client.deb" ]; then
  rm -rf  $currpath/invisily_client.deb
  echo "invisily-client packaging script : removing old .deb file..."
fi

mkdir $currpath/linuxclient_temp
echo "invisily-client packaging script : linuxclient_temp folder created..."

dpkg-deb -R $currpath/installer.deb $currpath/linuxclient_temp
if [ $? -eq 0 ]; then
    echo "invisily-client packaging script : deb unpacked successfully..."
else
    echo "invisily-client packaging script : Error : unpacking deb failed..."
    exit 1
fi


if [ -d "$currpath/linuxclient_temp/opt/invisily/linuxclient/bin/certs" ]; then
  rm -rf  $currpath/linuxclient_temp/opt/invisily/linuxclient/bin/certs 
fi
 
if [ -d "$currpath/certs" ]; then
  cp -f -R $currpath/certs $currpath/linuxclient_temp/opt/invisily/linuxclient/bin/ 

	if [ $? -eq 0 ]; then
	    echo "invisily-client packaging script : certs copied successfully..."
	else
	    echo "invisily-client packaging script : Error : certs copy failed..."
        exit 1
	fi

else
  echo "invisily-client packaging script : Error : certs copy failed..."
  exit 1
fi


if [ -f "$currpath/linuxclient_temp/opt/invisily/linuxclient/bin/settings.cfg" ]; then
  rm -rf $currpath/linuxclient_temp/opt/invisily/linuxclient/bin/settings.cfg 
fi

if [ -f "$currpath/settings.cfg" ]; then
  cp -f $currpath/settings.cfg $currpath/linuxclient_temp/opt/invisily/linuxclient/bin/ 

   if [ $? -eq 0 ]; then
	    echo "invisily-client packaging script : settings.cfg copied successfully..."
	else
	    echo "invisily-client packaging script : Error : settings.cfg copy failed..."
        exit 1
	fi

else
  echo "invisily-client packaging script : Error : settings.cfg copy failed ..."
  exit 1
fi


if [ -f "$currpath/invisily_client.deb" ]; then
  rm -rf  $currpath/invisily_client.deb
  echo "invisily-client packaging script : removing old .deb file..."
fi

echo "invisily-client packaging script : building deb file ..."

dpkg-deb -b $currpath/linuxclient_temp $currpath/invisily_client.deb
if [ $? -eq 0 ]; then
    echo "invisily-client packaging script : building deb file successful..."
else
    echo "invisily-client packaging script : Error : building deb file failed..."
    exit 1
fi


if [ -d "$currpath/linuxclient_temp" ]; then
  rm -rf  $currpath/linuxclient_temp 
  echo "invisily-client packaging script : removing old linuxclient_temp folder..."
fi


echo "invisily-client packaging script ended successfully ..."
exit 0;



