const {APIMethod} = require('../enums/apiMethodsEnum');
const RoleBasedAccess = {
    'Team-Manager':{
       allowedControllers:[
         {
            name:'dashboard',
            isAllAPIsAllowed:true // when this is true no need to define the routes
         },
         { 
            name:'clients',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                }
            ]     
         },
         { 
            name:'deviceInventory',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                }
            ]     
         },
         { 
            name:'clients-access-logs',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['','export-csv']
                }
            ]     
         },
         { 
            name:'localUsers',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['userdropdown']
                }
            ]     
         },
         { 
            name:'gateways',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['health/summary']
                }
            ]     
         },
         { 
            name:'osVersions',
            isAllAPIsAllowed:true,   
         },
         { 
            name:'services',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['all']
                }
            ]     
         },
         // Note : All Above Controllers APIs are needed for Dashboard
         { 
            name:'policies',
            isAllAPIsAllowed:true,     
         },
         { 
            name:'users',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                },
                {
                    APIMethod: APIMethod.PUT,
                    isAllRoutesAllowed: true,
                 },
            ]     
         },
         { 
            name:'softwares',
            isAllAPIsAllowed:true,    
         },
         { 
            name:'roles',
            isAllAPIsAllowed:true,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:[
                        'users/:id',
                    ]
                }
            ]    
         },
         {
            name: 'securityQuestions',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                }
            ]
         }
       ]
    },
    'Policy-Admin':{
        allowedControllers : [
            {
                name:'dashboard',
                isAllAPIsAllowed:true // when this is true no need to define the routes
             },
             { 
                name:'clients',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['']
                    }
                ]     
             },
             { 
                name:'localUsers',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['userdropdown']
                    }
                ]     
             },
             { 
                name:'deviceInventory',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['']
                    }
                ]     
             },
             { 
                name:'clients-access-logs',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['','export-csv']
                    }
                ]     
             },
             { 
                name:'osVersions',
                isAllAPIsAllowed:true,   
             },
             { 
                name:'gateways',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['health/summary']
                    }
                ]     
             },
             { 
                name:'services',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['all']
                    }
                ]     
             },
             // Note : All Above Controllers APIs are needed for Dashboard
         { 
            name:'policies',
            isAllAPIsAllowed:true,     
         },
         { 
            name:'users',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                },
                {
                    APIMethod: APIMethod.PUT,
                    isAllRoutesAllowed: true,
                 },
            ]     
         },
         { 
            name:'softwares',
            isAllAPIsAllowed:true,    
         },
         { 
            name:'roles',
            isAllAPIsAllowed:true,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:[
                        'users/:id',
                    ]
                }
            ]    
         },
         {
            name: 'securityQuestions',
            isAllAPIsAllowed:false,
            allowedAPIs:[
                {
                    APIMethod:APIMethod.GET,
                    isAllRoutesAllowed:false,
                    allowedRoutes:['']
                }
            ]
         }
        ]
    },
    'Report-Viewer':{
        allowedControllers:[
            {
               name:'dashboard',
               isAllAPIsAllowed:true // when this is true no need to define the routes
            },
            {
                name:'reports',
                isAllAPIsAllowed:true // when this is true no need to define the routes
            },
            { 
                name:'gateways',
                isAllAPIsAllowed:false,
                allowedAPIs:[
                    {
                        APIMethod:APIMethod.GET,
                        isAllRoutesAllowed:false,
                        allowedRoutes:['health/summary']
                    }
                ]     
             }
        ]
    }
}

module.exports = {RoleBasedAccess};