const nodemailer = require('nodemailer');
const template = require('swig');
let settings = require('../routes/common/settings');

// create reusable transporter object using the default SMTP transport

module.exports.sendMail = async (
  recipients,
  subject,
  file,
  context,
  callback,
  attachments
) => {
  var config = await settings.getSmtpSettings();

  const transporter = nodemailer.createTransport(config.transporter);

  let compile = template.compileFile(file);
  let content = compile(context);

  let mailOptions = {
    from: config.from,
    to: recipients,
    subject: subject,
    html: content,
    attachments
  };

  // send mail with defined transport object
  transporter.sendMail(mailOptions, (error, info) => {
    if (error) {
      console.log(error && (error.message || error));
    } else {
      console.log('Message %s sent: %s', info.messageId, info.response);
    }
    if (callback) {
      callback(error, info);
    }
  });
};
