const { body, param} = require('express-validator');


const addGroup = () => [
    ...name(body)
];

const updateGroup = () => [
    ...id(param),
    ...name(body),
    ...clientIds(body),
    ...appendClients(body),
    ...addAllClients(body)
];

const name = check => [
    check('name')
    .exists()
    .not()
    .isEmpty()
    .withMessage('Name is required.')
]

const clientIds = check => [
    check('clientIds')
    .exists()
    .isArray()
    .withMessage('Client ids must be in array')
]


const appendClients = check => [
    check('appendClients')
    .isBoolean()
    .exists()
    .withMessage('appendClients must be a boolean value')
]

const addAllClients = check => [
    check('addAllClients')
    .isBoolean()
    .exists()
    .withMessage('addAllClients must be a boolean value')
]

const id = check => [
    check('id')
    .exists()
    .not()
    .isEmpty()
    .isNumeric()
    .withMessage('Id is required.')
]

module.exports = {
    addGroup,
    updateGroup
}
