const { body, param } = require('express-validator');
const httpError = require('http-errors');

const addDomain = () => [
    ...domain(body)
];


const updateDomain = () => [
    ...id(param),
    ...domain(body)
]

const deleteDomain = () => [
    ...id(param)
];


const id = check => [
    check('id')
    .exists()
    .not()
    .isEmpty()
    .isNumeric()
    .withMessage('Invalid Id.')
]

const domain = check => [
    check('domain')
    .exists()
    .not()
    .isEmpty()
    .custom((value) => {
        const validExpression = /^(((?!-))(xn--|_{1,1})?[a-z0-9-]{0,61}[a-z0-9]{1,1}\.)*(xn--)?([a-z0-9][a-z0-9\-]{0,60}|[a-z0-9-]{1,30}\.[a-z]{2,})$/
        if(!validExpression.test(value)){
            throw new httpError.UnprocessableEntity('Domain must be valid domain name.');
        }
        return true;
    })
]

module.exports = {
    addDomain,
    updateDomain,
    deleteDomain
}