const { body, param } = require('express-validator');
var httpErrors = require('http-errors');

const createHost = () => [
    ...port(body),
    ...host(body),
    ...protocol(body),
    ...controllerId(param)
];


const getHosts = () => [
  ...controllerId(param)
];

const editHost = () => [
  ...port(body),
  ...host(body),
  ...protocol(body),
  ...controllerId(body),
  ...hostId(param)
];

const deleteHost = () => [
  ...hostId(param)
];

const hostId = check => [
    check('hostId')
    .exists()
    .isNumeric()
    .withMessage('Invalid Id.')
];

const protocol = check => [
    check('protocol')
    .exists()
    .not()
    .isEmpty()
    .withMessage('Invalid protocol.')
];

const host = check => [
  check('host')
  .exists()
  .not()
  .isEmpty()
  .withMessage('Invalid Host.')
];

const controllerId = check => [
    check('controllerId')
    .exists()
    .not()
    .isEmpty()
    .withMessage('Invalid controllerId.')
];

const port = check => [
    check('port')
      .exists()
      .not()
      .isEmpty()
      .withMessage('Port is required')
];

module.exports = {
  createHost,
  getHosts,
  editHost,
  deleteHost
};
