const { body, param, query } = require('express-validator');

const createWorkLoad = () => [...name(body), ...devices(body)];
const editWorkload = () => [...name(body), ...devices(body)];

const getAvailableWorloadDevices = () => [
  ...offset(query),
  ...deviceName(query)
];

const name = check => [
  check('name')
    .exists()
    .not()
    .isEmpty()
    .withMessage('name is required.')
];

const devices = check => [
  check('devices')
    .custom(item => Array.isArray(item) && item.length > 0)
    .withMessage('devices are required')
];

const offset = check => [
  check('offset')
    .isNumeric()
    .optional()
    .withMessage('Invalid Offset value.')
];

const deviceName = check => [check('deviceName').optional()];

module.exports = {
  getAvailableWorloadDevices,
  createWorkLoad,
  editWorkload
};
