import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ClientAccessLogComponent } from './client-access-log.component';
import { TableModule } from '../../table/table.module';
import { FormsModule } from '@angular/forms';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { NgSelectModule } from '@ng-select/ng-select';
import { ClientAccessLogRoutingModule } from './client-access-log-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OsTransformPipe } from '../../pipes/os-transform.pipe';
import { OsTransformPipeModule } from '../../shared/os-transform-pipe/os-transform-pipe.module';

@NgModule({
  
  declarations: [ClientAccessLogComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    BsDatepickerModule,
    NgSelectModule,
    PopoverModule,
    ClientAccessLogRoutingModule,
    OsTransformPipeModule
  ],
  exports: [ClientAccessLogComponent],
})
export class ClientAccessLogModule { }
