import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateLocalUserComponent } from './create-local-user.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateLocalUserRoutingModule } from './create-local-user-routing.module';
import { TableModule } from '../table/table.module';
import { SpinnerModule } from '../spinner/spinner.module';
import { ConfirmDeleteDeviceModule } from './confirm-delete-device/confirm-delete-device-module';
import { StringTransformPipe } from '../pipes/string.pipe';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [CreateLocalUserComponent],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    SpinnerModule,
    ConfirmDeleteDeviceModule,
    CreateLocalUserRoutingModule,
    SharedModule
  ],
  exports: [CreateLocalUserComponent]
})
export class CreateLocalUserModule { }
