import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DashboardComponent } from './dashboard.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../table/table.module';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { HostsByOSModule } from '../charts/hosts_by_OS.module';
import { GatewayHealthModule } from './gateway-health/gateway-health.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { DashboardRoutingModule } from './dashboard-routing.module';
import { SharedModule } from '../shared/shared.module';
import { LicenseModule } from '../license/license.module';

@NgModule({
  declarations: [DashboardComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    ActivityIndicatorModule,
    HostsByOSModule,
    GatewayHealthModule,
    PopoverModule,
    DashboardRoutingModule,
    SharedModule,
    LicenseModule
  ],
  exports: [DashboardComponent]
})
export class DashboardModule { }
