import { Component, OnInit } from '@angular/core';
import { GatewayService } from '../../gateway/gateway.service';
import { Pagination } from '../../models/pagination';

@Component({
  selector: 'app-gateway-health',
  templateUrl: './gateway-health.component.html',
  styleUrls: ['./gateway-health.component.css']
})
export class GatewayHealthComponent implements OnInit {
  pagination: Pagination = new Pagination();
  loading: boolean = false;
  data = [];

  constructor(private gatewaysService: GatewayService) {}

  ngOnInit() {
    this.getGatewaysHelath();
  }

  pageChange(page) {
    this.pagination.currentPage = page;
    this.getGatewaysHelath();
  }

  getGatewaysHelath() {
    this.loading = true;
    this.gatewaysService
      .getGatewaysHealth(
        this.pagination.currentPage - 1,
        this.pagination.itemsPerPage
      )
      .subscribe({
        next: (response: any) => {
          this.data = response.data;
          this.pagination.totalItems = response.recordsTotal;
          this.loading = false;
        },
        error: _err => {
          this.loading = false;
        }
      });
  }
}
