import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { User } from '../models/user';
import { UserService } from '../users/user.service';
import { DeviceIdService } from './deviceid.service';

@Component({
  selector: 'app-deviceid-co',
  templateUrl: './deviceid.component.html',
  styleUrls: ['./deviceid.component.css']
})
export class DeviceIdComponent implements OnInit {
  token = '';
  device_hardware_id = '';
  error = '';
  loading: boolean = false;
  showSuccess: boolean = false;
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private deviceIdService: DeviceIdService
  ) {
    if (typeof this.route.params['_value']['token'] != 'undefined') {
      this.token = this.route.params['_value']['token'];
    }
    if (typeof this.route.params['_value']['devid'] != 'undefined') {
      this.device_hardware_id = this.route.params['_value']['devid'];
    }
  }

  ngOnInit() {}

  addDeviceId() {
    this.loading = true;
    this.deviceIdService
      .validate(this.device_hardware_id, this.token)
      .subscribe(output => {
        if (output.success) {
          this.showSuccess = true;
          this.error = null;
        } else {
          this.error = output.message;
          this.loading = false;
        }
      });
  }
}
