import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';

import { Router } from '@angular/router';
import { map } from 'rxjs/operators';
import { ConfigService } from '../services/config.service';

@Injectable()
export class DeviceIdService {
  private authenticationUrl = '/deviceid/add/serve/';
  private apiBaseUrl: string;
  private config;
  constructor(
    private httpClient: HttpClient,
    private router: Router,
    private configService: ConfigService
  ) {
    this.config = this.configService.getConfiguration();
    this.apiBaseUrl = this.configService.getConfiguration().apiBaseUrl;
    let currentUrl = window.location.href;
    if (currentUrl.includes(this.config.onPremUrl)) {
      this.apiBaseUrl = this.config.onPremUrl + 'api';
    } else if (currentUrl.includes(this.config.offPremUrl)) {
      this.apiBaseUrl = this.config.offPremUrl + 'api';
    }
    this.authenticationUrl = this.apiBaseUrl + this.authenticationUrl;
  }

  validate(deviceId: string, token: string): any {
    let headers = new HttpHeaders({ 'Content-Type': 'application/json' });
    let options = { headers: headers };
    return this.httpClient
      .post(
        this.authenticationUrl,
        JSON.stringify({ token: token, deviceId: deviceId }),
        options
      )
      .pipe(
        map((response: Response) => {
          let res = response;
          return res;
        })
      );
  }
}
