import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { User } from '../models/user';
import { UserService } from '../users/user.service';
import { FreshLoginService } from './fresh-login.service';
import { Title } from '@angular/platform-browser';

@Component({
  selector: 'app-deviceid-co',
  templateUrl: './fresh-login.component.html',
  styleUrls: ['./fresh-login.component.css']
})
export class FreshLoginComponent implements OnInit {
  useremail = '';
  error = '';
  loading: boolean = false;
  showSuccess: boolean = false;
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private freshLoginService: FreshLoginService,
    private titleService: Title
  ) {
    let freshLogin = localStorage.getItem('freshLogin') 
    if (typeof freshLogin != 'undefined' || freshLogin != null) {
      freshLogin = atob(freshLogin);
    }
    if (!freshLogin) {
      this.router.navigate(['/']);
    }
  }

  ngOnInit() {
    this.titleService.setTitle('Welcome Onboard');
  }

  addDeviceId() {
    // this.router.navigate(['clients']);
    this.loading = true;
    let userID = localStorage.getItem('usd');
    if (typeof userID != 'undefined' || userID != null) {
      userID = atob(userID);
    }
    this.freshLoginService
      .submitEmail(userID, this.useremail)
      .subscribe(output => {
        if (output.success == true) {
          this.showSuccess = true;
          this.error = null;
          localStorage.removeItem('freshLogin');
          this.router.navigate(['dashboard']);
        } else {
          this.error = output.message;
          this.loading = false;
        }
      });
  }
}
