import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { tap } from 'rxjs/operators';
import { User } from '../models/user';
import { UserService } from '../users/user.service';
import { GauthService } from './gauth.service';

@Component({
  selector: 'app-gauth-co',
  templateUrl: './gauth.component.html',
  styleUrls: ['./gauth.component.css']
})
export class GauthComponent implements OnInit {
  token = '';
  user = new User();
  loading = false;
  error = '';
  action_url = 'https://www.google.com/a/cosmotrax.com/acs';
  SAMLResponse = '';
  RelayState = '';
  showConfirm = false;
  username = '';
  password = '';
  provider = 'gmail.com';
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private gauthService: GauthService
  ) {
    if (typeof this.route.params['_value']['token'] != 'undefined') {
      this.token = this.route.params['_value']['token'];
      // let text = this.token.split('-----');
      // this.provider = text[1];
      // this.token = text[0];
      let text = this.token;
      this.provider = 'google.com';
      this.token = text;
    }
  }

  ngOnInit() {
    // reset login status
    //this.authenticationService.logout();
    this.SAMLResponse = 'asd';
    this.RelayState = 'asdasda';
  }

  login() {
    this.loading = true;
    this.gauthService
      .getHardwareID(this.username)
      .pipe(
        tap((result: any) => {
          if (result._body) {
            this.gauthService
              .validate(this.username, this.password, this.token, result._body)
              // this.gauthService.validate(this.username,this.password, this.token, 'agentId=952254,deviceId=1b7dd32b99a28e22c1f05c5063880205')
              .subscribe(output => {
                this.loading = false;
                if (output.status) {
                  this.showConfirm = true;
                  this.SAMLResponse = output.data;
                  this.RelayState = output.relay;
                  this.action_url = output.destination;
                  let element: HTMLElement = document.getElementById(
                    'continueForm'
                  ) as HTMLElement;
                  let inp1: HTMLInputElement = document.getElementById(
                    'SAMLResponse'
                  ) as HTMLInputElement;
                  inp1.value = output.data;
                  let inp2: HTMLInputElement = document.getElementById(
                    'RelayState'
                  ) as HTMLInputElement;
                  inp2.value = output.relay;
                  element.click();
                } else {
                  this.error = output.message;
                }
              });
          }
        })
      )
      .subscribe({
        error: err => {
          this.error = 'Please check if your client is running.';
          this.loading = false;
        }
      });
  }
}
