import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { map } from 'rxjs/operators';
import { ConfigService } from '../services/config.service';

@Injectable()
export class GauthService {
  private authenticationUrl = '/gauth/validate';
  private apiBaseUrl: string;
  httpOptions = {
    headers: new HttpHeaders({ 'Content-Type': 'application/json' })
  };
  constructor(
    private httpClient: HttpClient,
    private router: Router,
    private configService: ConfigService
  ) {
    this.apiBaseUrl = this.configService.getConfiguration().apiBaseUrl;
    this.authenticationUrl = this.apiBaseUrl + this.authenticationUrl;
  }

  validate(
    username: string,
    password: string,
    token: string,
    deviceId: string
  ): any {
    let windowuri = window.location.href.split('/web')[0];
    windowuri = windowuri + '/api/gauth/validate';
    return this.httpClient
      .post(
        windowuri,
        JSON.stringify({
          username: username,
          password: password,
          token: token,
          deviceId: deviceId
        }),
        this.httpOptions
      )
      .pipe(
        map((response: Response) => {
          let res = response;
          return res;
        })
      );
  }

  getHardwareID(username: string): any {
    let url = 'https://client.invisily.com:27015/';
    return this.httpClient.post(url, '' + username + '', this.httpOptions).pipe(
      map((response: Response) => {
        let res = response;
        return res;
      })
    );
  }
}
