import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';
import { RolesAndPermissionService } from '../roles-and-permission/roles-and-permission.service';

@Injectable()
export class AdditionalPermissionsGuard implements CanActivate {
  tempId: boolean;

  constructor(
    private router: Router,
    private rolesPermissionService: RolesAndPermissionService
  ) {
  }

  canActivate(route: ActivatedRouteSnapshot) {
    this.getCRUDdata(36);

    if (this.tempId) {
      return true;
    } else {
      this.router.navigate(['/view_roles_and_permissions']);
    }
  }

  getCRUDdata(privId) {
    this.rolesPermissionService.getCrudData(privId).subscribe((res: any) => {
      this.tempId = res?.temp_id === 1 || res?.temp_id === 2 ? true : false;
    });
  }
}
