import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';


@Injectable()
export class S2SGuard implements CanActivate {
  token: string;

  constructor( private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot) {
    const isS2SRouteEnabled = localStorage.getItem('MicroSegLicense');
    if (isS2SRouteEnabled == '1') {
      return true;
    } else if (isS2SRouteEnabled == '0') {
        this.router.navigate(['/dashboard'])
    }
  }
}
