import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LocalUsersListComponent } from './local-users-list.component';
import { TableModule } from '../table/table.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { LocalUsersListRoutingModule } from './local-users-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../password-verification/password-verification.module';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatOptionModule } from '@angular/material/core';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [LocalUsersListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    MatAutocompleteModule,
    MatOptionModule,
    ReactiveFormsModule,
    PasswordVerificationModule,
    LocalUsersListRoutingModule,
    OtpVerificationModule
  ],
  exports: [LocalUsersListComponent]
})
export class LocalUsersListModule { }
