import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { GlobalMessageService } from '../global-messages/global-messages.service';
import { Title } from '@angular/platform-browser';

@Component({
  selector: 'app-notfound',
  templateUrl: './notfound.component.html',
  styleUrls: ['./notfound.component.css']
})
export class NotFoundComponent implements OnInit {
  passwordExpiry: any = '';
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private globalMessageService: GlobalMessageService,
    private titleService: Title
  ) {}

  ngOnInit() {
    this.titleService.setTitle('Password Recovery');
    this.globalMessageService.clearAlerts();
    if (this.route.snapshot.queryParams['passwordLink'] == 'expire') {
      this.passwordExpiry = this.route.snapshot.queryParams['passwordLink'];
    }
  }
}
