import { Directive, HostListener } from '@angular/core';

@Directive({
  selector: '[NoSpaceBar]'
})
export class NoSpaceBarDirective {
  @HostListener('keydown', ['$event'])
  onKeyDown(event: KeyboardEvent): void {
    // Prevent input of spacebar (key code 32)
    if (event.keyCode === 32) {
      event.preventDefault();
    }
  }
}
