import { Component, OnInit, Input, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-password-verification',
  templateUrl: './password-verification.component.html',
  styleUrls: ['./password-verification.component.css']
})
export class PasswordVerificationComponent implements OnInit {
  @Input('heading') heading: string;
  @Input('body') body: string;
  @Input('action') action: string;
  authPassword: string = '';

  @Output() cancelEvenEmitter = new EventEmitter();
  @Output() submitEvenEmitter = new EventEmitter();

  constructor() {}

  ngOnInit() {}

  cancelHandler() {
    this.cancelEvenEmitter.emit('cancel');
  }

  submitHandler() {
    this.submitEvenEmitter.emit(this.authPassword);
  }
}
