import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RecoverComponent } from './recover.component';
import { VersionModule } from '../version/version.module';
import { RouterModule } from '@angular/router';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { ConfirmPasswordValidator } from '../validators/confirm-password.validator.directive';
import { RecoverRoutingModule } from './recover-routing.module';

@NgModule({
  declarations: [RecoverComponent, ConfirmPasswordValidator],
  imports: [
    CommonModule,
    FormsModule,
    VersionModule,
    RouterModule,
    NgSelectModule,
    RecoverRoutingModule
  ],
  exports:[RecoverComponent]
})
export class RecoverModule { }
