import { Injectable } from '@angular/core';
import { HttpClient as AuthHttp } from '@angular/common/http';
import { ConfigService } from '../services/config.service';
import { map } from 'rxjs/operators';

@Injectable()
export class RestoreService {
  private apiBaseUrl: string;
  private restoreApiUrl = '/restore';

  constructor(
    private authHttp: AuthHttp,
    private configService: ConfigService
  ) {
    this.apiBaseUrl = this.configService.getConfiguration().apiBaseUrl;
    this.restoreApiUrl = this.apiBaseUrl + this.restoreApiUrl;
  }

  recoverFile(file, verificationPassword) {
    return this.authHttp
      .post(this.restoreApiUrl, { attachment: file, verificationPassword })
      .pipe(map(response => response));
  }
}
