import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';

import { Configuration } from '../../app.config';

@Injectable()
export class ConfigService {
  private config: Configuration;
  constructor(private http: HttpClient) {}
  private version: string = 'v5.8.19.0'; //Build Version
  load(url: string) {
    return new Promise<void>((resolve, reject) => {
      this.http
        .get(url)
        .pipe(map(this.extractData))
        .subscribe(
          (config: any) => {
            this.config = config;
            this.http
              .get(config.apiBaseUrl + '/authentication/getRecaptchaSiteKey')
              .pipe(map(this.extractData))
              .subscribe(
                (siteKey: any) => {
                  this.config.recaptchaSiteKey = siteKey.recaptcha_site_key;
                  resolve();
                },
                (error: any) => {
                  reject(error);
                }
              );
          },
          (error: any) => {
            reject(error);
          }
        );
    });
  }

  // load(url: string) {
  //   return new Promise<void>(resolve => {
  //     this.http
  //       .get(url)
  //       .pipe(map(this.extractData))
  //       //.catch(this.handleError)
  //       .subscribe((config: any) => {
  //         this.config = config;
  //         this.http
  //           .get(config.apiBaseUrl + '/authentication/getRecaptchaSiteKey')
  //           .pipe(map(this.extractData))
  //           //.catch(this.handleError)
  //           .subscribe((siteKey: any) => {
  //             this.config.recaptchaSiteKey = siteKey.recaptcha_site_key;
  //             resolve();
  //           });
  //       });
  //   });
  // }

  getConfiguration(): Configuration {
    return this.config;
  }

  getSiteKey(): string {
    return this.config.recaptchaSiteKey;
  }

  private extractData(res: Response) {
    let body = res;
    return body || {};
  }

  // private handleError(error: Response | any) {
  //   // In a real world app, we might use a remote logging infrastructure
  //   let errMsg: string;
  //   if (error) {
  //     const body = error || '';
  //     const err = body.error || JSON.stringify(body);
  //     errMsg = `${error.status} - ${error.statusText || ''} ${err}`;
  //   } else {
  //     errMsg = error.message ? error.message : error.toString();
  //   }
  //   console.error(errMsg);
  //   return Observable.throw(errMsg);
  // }

  public getVersion() {
    return this.version;
  }
}
