import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SettingsComponent } from './settings.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SettingsRoutingModule } from './settings-routing.module';
import { TrustedHostsModule } from '../trusted-hosts/trusted-hosts.module';
import { ValidDomainsModule } from '../valid-domains/valid-domains.module';
import { SpinnerModule } from '../spinner/spinner.module';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [SettingsComponent],
  imports: [
    CommonModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    TrustedHostsModule,
    ValidDomainsModule,
    SpinnerModule,
    ActivityIndicatorModule,
    SettingsRoutingModule,
    OtpVerificationModule
  ],
  exports: [SettingsComponent]
})
export class SettingsModule { }
