import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-confirmation-dialog',
  template: `
   <h2 mat-dialog-title>{{ data.title }}</h2>
    <div mat-dialog-content>{{ data.message }}</div>
    <mat-dialog-actions>
      <button *ngIf="!data.isMicrosegment" mat-button class="btn btn-primary" (click)="onCancelClick()">Cancel</button>
      <button *ngIf="!data.isMicrosegment" mat-button class="btn btn-primary" (click)="onConfirmClick()">Confirm</button>
      <button *ngIf="data.isMicrosegment" mat-button class="btn btn-primary" (click)="onRetainlClick()">Retain</button>
      <button *ngIf="data.isMicrosegment" mat-button class="btn btn-danger" (click)="onDeleteClick()">Delete</button>
    </mat-dialog-actions>
  `,
    styles: [
    `@import '../../assets/css/colors.css';
      :host {
        display: block;
        width: 300px;
        text-align: center;
        background-color: var(--portlet) !important;
      }

      mat-dialog-actions {
        justify-content: center;
        gap: 8px
      }
    `,
  ],
})

export class ConfirmModalComponent {
  constructor(
    public dialogRef: MatDialogRef<ConfirmModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: { title: string; message: any, isMicrosegment?: boolean }
  ) {}

  onCancelClick(): void {
    this.dialogRef.close(false);
  }

  onConfirmClick(): void {
    this.dialogRef.close(true);
  }

  onDeleteClick() {
    this.dialogRef.close(1);
  }

  onRetainlClick() {
    this.dialogRef.close(0);
  }
}

