export const RolesData = [
  {
    name: 'Dashboard',
    privilege_id: 1,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'dashboard'
  },
  {
    name: 'Infrastructure Dashboard',
    privilege_id: 62,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'dashboard'
  },
  {
    name: 'Reports',
    privilege_id: 2,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'reports',
    children: ['reports', 'devices_reports', 'services_reports', 'infrastructure_reports', 'policy_reports', 'users_reports']
  },
  {
    name: 'All Reports',
    privilege_id: 3,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'reports'
  },
  {
    name: 'Devices Reports',
    privilege_id: 4,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'devices_reports'
  },
  {
    name: 'Services Reports',
    privilege_id: 5,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'services_reports'
  },
  {
    name: 'Infrastructure Reports',
    privilege_id: 6,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'infrastructure_reports'
  },
  {
    name: 'Policy Reports',
    privilege_id: 7,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'policy_reports'
  },
  {
    name: 'Users Reports',
    privilege_id: 8,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'users_reports'
  },
  {
    name: 'Onboarding Reports',
    privilege_id: 63,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'onboarding_reports'
  },
  {
    name: 'Alerts',
    privilege_id: 9,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'alerts'
  },
  {
    name: 'Policy Management',
    privilege_id: 10,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'access-policy',
    children: ['access-policy', 'device-access-policy', 'user-agent-access-policy', 'device-policy', 'os-policy', 'software-policy', 'software-process-policy', 'data-volume-policy', 'routing-policy']
  },
  {
    name: 'Entitlements',
    privilege_id: 11,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'access-policy',
    children: ['access-policy', 'device-access-policy', 'user-agent-access-policy', 'device-policy', 'os-policy', 'software-policy', 'software-process-policy', 'data-volume-policy', 'routing-policy']
  },
  {
    name: 'Device Entitlements',
    privilege_id: 12,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'device-access-policy',
    children: ['device-access-policy', 'user-agent-access-policy', 'device-policy', 'os-policy', 'software-policy', 'software-process-policy', 'data-volume-policy', 'routing-policy']
  },
  {
    name: 'User Entitlements',
    privilege_id: 13,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'user-agent-access-policy',
    children: ['user-agent-access-policy', 'device-policy', 'os-policy', 'software-policy', 'software-process-policy', 'data-volume-policy', 'routing-policy']
  },
  {
    name: 'Device Policy',
    privilege_id: 14,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'device-policy'
  },
  {
    name: 'Security Policy',
    privilege_id: 15,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'device-policy'
  },
  {
    name: 'OS Policy',
    privilege_id: 16,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'os-policy'
  },
  {
    name: 'Software Policy',
    privilege_id: 17,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'software-policy'
  },
  {
    name: 'Process Policy',
    privilege_id: 18,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'software-process-policy'
  },
  {
    name: 'Data Volume Policy',
    privilege_id: 19,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'data-volume-policy'
  },
  {
    name: 'Routing Policy',
    privilege_id: 20,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'routing-policy'
  },
  {
    name: 'Infrastructure',
    privilege_id: 21,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'services'
  },
  {
    name: 'Services',
    privilege_id: 22,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'services'
  },
  {
    name: 'Service Groups',
    privilege_id: 23,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'serviceGroups'
  },
  {
    name: 'Controllers',
    privilege_id: 24,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'controllers'
  },
  {
    name: 'Gateways',
    privilege_id: 25,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'gateways'
  },
  {
    name: 'Gateways Groups',
    privilege_id: 26,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'gatewaysGroups'
  },
  {
    name: 'Server Bridges',
    privilege_id: 27,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'server-bridge'
  },
  {
    name: 'Device Bridge (x86)',
    privilege_id: 28,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'client-bridge'
  },
  {
    name: 'Device Bridge (ARM)',
    privilege_id: 29,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'iot-bridge'
  },
  {
    name: 'RDI Bridges',
    privilege_id: 30,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'rdi-bridge'
  },
  {
    name: 'RBI Bridges',
    privilege_id: 67,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'rbi-bridge'
  },
  {
    name: 'SaaS Bridges',
    privilege_id: 31,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'saas-bridge'
  },
  {
    name: 'LDAP Configuration',
    privilege_id: 32,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'ldaps'
  },
  {
    name: 'IDP Management',
    privilege_id: 33,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'idp'
  },
  {
    name: 'IAM',
    privilege_id: 34,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'admin',
    children: ['admin', 'view_roles_and_permissions', 'users', 'customUserGroups']
  },
  {
    name: 'Admin Users',
    privilege_id: 35,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'admin'
  },
  {
    name: 'Roles And Permissions',
    privilege_id: 36,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'view_roles_and_permissions'
  },
  {
    name: 'Users',
    privilege_id: 37,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'users'
  },
  {
    name: 'User Groups',
    privilege_id: 38,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'customUserGroups'
  },
  {
    name: 'Device Management',
    privilege_id: 39,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: ''
  },
  {
    name: 'Devices',
    privilege_id: 40,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'devices'
  },
  {
    name: 'S2S Microsegmentation',
    privilege_id: 41,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    children: ['workload-devices', 'micro-segments', 'workloads']
  },
  {
    name: 'Workload Devices',
    privilege_id: 64,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'workload-devices'
  },
  {
    name: 'Microsegments',
    privilege_id: 65,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'micro-segments'
  },
  {
    name: 'Workloads',
    privilege_id: 66,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'workloads'
  },
  {
    name: 'Client Management',
    privilege_id: 43,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'clients/Client',
    children: ['clients/Client', 'clients/Server', 'groups']
  },
  {
    name: 'End User Clients',
    privilege_id: 44,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'clients/Client'
  },
  {
    name: 'Server Side Clients',
    privilege_id: 45,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'clients/Server'
  },
  {
    name: 'Groups',
    privilege_id: 46,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'groups'
  },
  {
    name: 'Organizations',
    privilege_id: 47,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'organizations'
  },
  {
    name: 'Device Health Check',
    privilege_id: 48,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'softwares',
    children: ['softwares', 'forbidden_softwares', 'software_process_binding']
  },
  {
    name: 'Software Master List',
    privilege_id: 49,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'softwares'
  },
  {
    name: 'Unauthorized Software',
    privilege_id: 50,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'forbidden_softwares'
  },
  {
    name: 'Process Binding',
    privilege_id: 51,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'software_process_binding'
  },
  {
    name: 'Access Logs',
    privilege_id: 52,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'clients-access-logs',
    children: ['clients-access-logs', 'admin-access-logs']
  },
  {
    name: 'Client',
    privilege_id: 53,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'clients-access-logs'
  },
  {
    name: 'Admin',
    privilege_id: 54,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'admin-access-logs'
  },
  {
    name: 'Settings',
    privilege_id: 55,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'settings/portalSetting',
    children: ['settings/portalSetting', 'settings/clientSetting', 'settings/coreSetting', 'license', 'backups', 'updates']
  },
  {
    name: 'Portal Settings',
    privilege_id: 56,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'settings/portalSetting'
  },
  {
    name: 'Client Settings',
    privilege_id: 57,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'settings/clientSetting'
  },
  {
    name: 'Core Settings',
    privilege_id: 58,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'settings/coreSetting'
  },
  {
    name: 'License Management',
    privilege_id: 59,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'license'
  },
  {
    name: 'System Backup',
    privilege_id: 60,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'backups'
  },
  {
    name: 'Software Update',
    privilege_id: 61,
    create_permission: false,
    read_permission: false,
    update_permission: false,
    delete_permission: false,
    route_name: 'updates'
  }
  
];
