import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TopbarComponent } from './topbar.component';
import { LogoutRoutingModule } from '../logout/logout-routing.module';
import { OverlayscrollbarsModule } from 'overlayscrollbars-ngx';
import { NgSelectModule } from '@ng-select/ng-select';
import { RouterModule } from '@angular/router';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SpinnerModule } from '../spinner/spinner.module';
import { ThemeService } from '../theme.service';

@NgModule({
  declarations: [TopbarComponent],
  imports: [
    CommonModule,
    OverlayscrollbarsModule,
    LogoutRoutingModule,
    NgSelectModule,
    RouterModule,
    MatSlideToggleModule,
    FormsModule,
    SpinnerModule,
    PopoverModule
  ],
  providers: [ThemeService],
  exports: [TopbarComponent]
})
export class TopbarModule {}
