import {
  ValidatorFn,
  AbstractControl,
  NG_VALIDATORS,
  Validator,
  FormGroup
} from '@angular/forms';
import { Directive, Input } from '@angular/core';

export function confirmPasswordValidator(password: string): ValidatorFn {
  return (control: AbstractControl): { [key: string]: any } => {
    return control.value !== password ? { passwordMismatch: true } : null;
  };
}

@Directive({
  selector: '[confirmPassword]',
  providers: [
    {
      provide: NG_VALIDATORS,
      useExisting: ConfirmPasswordValidator,
      multi: true
    }
  ]
})
export class ConfirmPasswordValidator implements Validator {
  @Input('confirmPassword') password;

  validate(control: AbstractControl): { [key: string]: any } {
    return confirmPasswordValidator(this.password)(control);
  }
}
