import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { User } from '../models/user';
import { UserService } from '../users/user.service';
import { InstallerStatusEnum } from '../shared/emuns/global.enum'
import { Title } from '@angular/platform-browser';

@Component({
  selector: 'app-deviceid-co',
  templateUrl: './verification.component.html',
  styleUrls: ['./verification.component.css']
})
export class VerificationComponent implements OnInit {
  token = '';
  showSuccess: boolean = false;
  message: string =
    'The email verification link has been expired. Please contact admin to get a new link.';

  constructor (
    private router: Router,
    private route: ActivatedRoute,
    private titleService: Title
  ) {
    if (typeof this.route.params['_value']['token'] != 'undefined') {
      this.token = this.route.params['_value']['token'];
      if (this.token ===  InstallerStatusEnum.Success) {
        this.showSuccess = true;
        this.message = 'Email has been verified successfully.';
      } else if (this.token === 'verified') {
        this.showSuccess = true;
        this.message = 'Email is already verified.';
      } else {
        this.showSuccess = false;
      }
    }
  }

  ngOnInit() {
    this.titleService.setTitle('Email Verification');
  }
}
